<?php

// create backup
//////////////////////////////////////

$backup_file = 'db-backup-' . time() . '.sql';

// get backup
$mybackup = backup_tables("localhost", "root", "vertrigo", "mkradius", "mp_user,mp_caixa,mp_fibra,mp_opcao,mp_instutils");

// save to file
$handle = fopen("arquivos/" . $backup_file, 'w+');
fwrite($handle, $mybackup);
fclose($handle);

include "config.php";
$conexao = mysqli_connect($host, $user, $pass, $db) or die(mysqli_connect_error());
mysqli_set_charset($conexao, 'utf8');

date_default_timezone_set('America/Sao_Paulo');
$date = date('Y-m-d H:i:s');

$query3 = "update mp_opcao set op6 = '$backup_file', op13 = '$date'";
$res3 = mysqli_query($conexao, $query3) or die(mysqli_error($conexao));

if ($res3) {
    echo "<script> alert('Backup Realizado com sucesso!'); location.href='../area-backup.php' </script>";
}

function &backup_tables($host, $user, $pass, $name, $tables) {
    $data = "\n/*---------------------------------------------------------------" .
            "\n  SQL DB BACKUP " . date("d.m.Y H:i") . " " .
            "\n  HOST: {$host}" .
            "\n  DATABASE: {$name}" .
            "\n  TABLES: {$tables}" .
            "\n  ---------------------------------------------------------------*/\n";
    $conexao = mysqli_connect($host, $user, $pass, $name);
    mysqli_set_charset($conexao, 'utf8');
    
    if ($tables == '*') { //get all of the tables
        $tables = array();
        $result = mysqli_query($conexao, "SHOW TABLES");
        while ($row = mysqli_fetch_row($result)) {
            $tables[] = $row[0];
        }
    } else {
        $tables = is_array($tables) ? $tables : explode(',', $tables);
    }

    foreach ($tables as $table) {
        $data .= "\n/*---------------------------------------------------------------" .
                "\n  TABLE: `{$table}`" .
                "\n  ---------------------------------------------------------------*/\n";
        $data .= "DROP TABLE IF EXISTS `{$table}`;\n";
        $res = mysqli_query($conexao, "SHOW CREATE TABLE `{$table}`");
        $row = mysqli_fetch_row($res);
        $data .= $row[1] . ";\n";

        $result = mysqli_query($conexao, "SELECT * FROM `{$table}`");
        $num_rows = mysqli_num_rows($result);

        if ($num_rows > 0) {
            $vals = Array();
            $z = 0;
            for ($i = 0; $i < $num_rows; $i++) {
                $items = mysqli_fetch_row($result);
                $vals[$z] = "(";
                for ($j = 0; $j < count($items); $j++) {
                    if (isset($items[$j])) {
                        $vals[$z] .= "'" . mysqli_real_escape_string($conexao, $items[$j]) . "'";
                    } else {
                        $vals[$z] .= "NULL";
                    }
                    if ($j < (count($items) - 1)) {
                        $vals[$z] .= ",";
                    }
                }
                $vals[$z] .= ")";
                $z++;
            }
            $data .= "INSERT INTO `{$table}` VALUES ";
            $data .= "  " . implode(";\nINSERT INTO `{$table}` VALUES ", $vals) . ";\n";
        }
    }
    mysqli_close($conexao);
    return $data;
}
