<?php

class leitor_sql
{

    var $erros;


    var $foi;


    function leitor_sql($arquivo_sql)
    {

        $this->foi = $this->erros = array();

        // Verifica se arquivo existe
        if(!file_exists($arquivo_sql))
        {
            echo "O arquivo <B>" . $arquivo_sql . "</B> e inexistente!";
            exit;
        }


        $conteudo = file($arquivo_sql);


        $i = 0;
        $dados = array();


        foreach($conteudo as $linha)
        {

            $linha = trim($linha);


            if(empty($linha) || (substr($linha, 0, 1) == '#'))
            {
                continue;
            }    


            $dados[$i] .= "\n" . $linha;
            

            if(substr(rtrim($linha), -1, 1) == ';')
            {
                ++$i;
            }
        }

        if(!sizeof($dados))
        {
            echo "Nenhuma instrucao SQL encontrada!";
            exit;
        }
        else
        {
            echo "<font face=\"Verdana\" size=2>";
        }


        foreach($dados as $atual)
        {
            // Limpa os ";"
            $atual = substr($atual, 0, strlen($atual) - 1);


            if(preg_match("/CREATE TABLE (\S+)/i", $atual, $resultado))
            {
                $this->limpa_acento($resultado[1]);
                echo "- Criando tabela <B>" . $resultado[1] . "</B>: ";
                $this->executa_consulta($atual, "<font color=\"green\">OK!</font><BR>", "<font color=\"red\">ERRO!</font><BR>");
            }

            elseif(preg_match("/INSERT INTO (\S+)/i", $atual, $resultado))
            {
                $this->limpa_acento($resultado[1]);
                $this->executa_consulta($atual, false, false, $resultado[1]);
            }

            elseif(preg_match("/DROP TABLE (IF EXISTS )?(\S+)/i", $atual, $resultado))
            {
                $this->limpa_acento($resultado[2]);
                $this->executa_consulta($atual, "- Tabela <B>" . $resultado[2] . "</B> excluída com sucesso<br>");
            }

            elseif(preg_match("/DROP DATABASE (IF EXISTS )?(\S+)/i", $atual, $resultado))
            {
                $this->limpa_acento($resultado[2]);
                $this->executa_consulta($atual, "- Banco de dados <B>" . $resultado[2] . "</B> excluído com sucesso<br>");
            }

            elseif(preg_match("/CREATE DATABASE (\S+)/i", $atual, $resultado))
            {
                $this->limpa_acento($resultado[1]);
                echo "- Criando banco de dados <B>" . $resultado[1] . "</B>: ";
                $this->executa_consulta($atual, "<font color=\"green\">OK!</font><BR>", "<font color=\"red\">ERRO!</font><BR>");
            }
        }
        

        if(sizeof($this->foi))
        {
            foreach($this->foi as $tabela => $total)
            {
                echo "- " . $total . " linha";

                if($total > 1)
                {
                    echo "s";
                }

                echo " inserida";

                if($total > 1)
                {
                    echo "s";
                }

                echo " na tabela <B>" .  $tabela . "</B><br>";
            }
        }
        

        if(sizeof($this->erros))
        {
            $total = sizeof($this->erros);
            echo "<BR>Ocorre";
            
            if($total > 1)
            {
                echo "ram";
            }
            else
            {
                echo "u";
            }            
            echo " " . $total . " erro";            
            if($total > 1)
            {
                echo "s";
            }            
            echo ":<font size=1><br>";

            foreach($this->erros as $linha => $erro)
            {
                echo "<li>Cláusula SQL: <font color=\"green\">" . $linha . "</font><li>Erro: <font color=\"red\">" . $erro . "</font><br><BR>";
            }

            echo "</font>";
        }

        echo "</font>";
        
    }


    function executa_consulta($sql, $msg_ok = false, $msg_erro = false, $insert = false)
    {
        if($this->query_sql($sql))
        {
            if($insert)
            {
                $this->foi[$insert]++;
            }

            if($msg_ok)
            {
                echo $msg_ok;
            }
        }
        else
        {
            if($msg_erro)
            {
                echo $msg_erro;
            }

            $this->erros[$sql] = $this->erro_sql();
        }
    }


    function limpa_acento(&$dados)
    {
        // InÃ­cio da string
        $dados = preg_replace("/^\`/i", "", $dados);
        // Final da string
        $dados = preg_replace("/\`$/i", "", $dados);
    }
    

    function query_sql($sql)
    {
        if(@mysql_query($sql))
        {
            return true;
        }
        else
        {
            return false;
        }
    }


    function erro_sql()
    {
        return mysql_error();
    }
}
?>