<?php
include("protection_admin.php");
protect();

include "config.php";

mysqli_set_charset($conexao, 'utf8');

if (isset($_POST['valueToSearch'])) {
    $pesquisa = $_POST['valueToSearch'];
    $query = "select * from sis_solic where nome like '%" . $pesquisa . "%' and status='concluido' order by datainst desc limit 40";
    $res = mysqli_query($conexao, $query); // or die(mysql_error());
    $tott = mysqli_num_rows($res);
    $volt = "<a href=\"\" class=\"button special\">Mostrar Todos</a>";
} else {
    $query = "select * from sis_solic where status='concluido' order by datainst desc limit 40";
    $res = mysqli_query($conexao, $query); // or die(mysql_error());
    $tott = mysqli_num_rows($res);
    $volt = "";
}
?>
<!DOCTYPE HTML>
<html lang="pt-br">
    <head>
        <title>Página de Instalações Concluídas</title>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
        <link rel="stylesheet" href="assets/css/main.css" />
        <link rel="stylesheet" href="dist/css/lightbox.min.css">
        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <style>
            .btn {
                background-color: white; /* Blue background */
                border: none; /* Remove borders */
                color: white; /* White text */
                padding: 12px 16px; /* Some padding */
                font-size: 16px; /* Set a font size */
                cursor: pointer; /* Mouse pointer on hover */
            }

            /* Darker background on mouse-over */
            .btn:hover {
                background-color: OldLace;
            }
        </style>
    </head>
    <body>

        <!-- Wrapper -->
        <div id="wrapper">

            <!-- Main -->
            <div id="main">
                <div class="inner">

                    <!-- Header -->
                    <header id="header">
                        <a href="pagina-notificacoes.php" onclick="window.close()" class="logo"><strong>VOLTAR - MK-Auth Suporte</strong> por JJR Electronics</a>

                    </header>

                    <!-- Content -->
                    <section>
                        <header class="main">
                            <h1 align="center">Página de Instalações Concluídas</h1>
                        </header>

                        <div class="row uniform">
                            <h4>Pesquise o Chamado pelo nome do Cliente<br>Total de reultados: <font color="#f56a6a"><?php echo $tott; ?></font></h4>
                            <div class="4u 12u$(xsmall)">
                                <input type="search" name="valueToSearch" placeholder="Insira aqui Sua pesquisa" id="valueToSearch"/>

                                <!--form action="painel-instalacao_finalizados.php" method="post">

                                </form-->
                            </div>
                            <div class="3u 12u$(xsmall)">
                                <button onclick="listaContratosVazios()" class="button special">
                                    <i class="fa fa-search"></i>
                                </button>
                            </div>
                            <div class="2u 12u$(xsmall)">
                                <?php echo $volt; ?>
                            </div>
                        </div>
                        <br>
                        <br>

                        <div class="table-wrapper">
                            <table class="alt">
                                <thead>
                                    <tr>
                                        <th>DADOS / PING</th>
                                        <th>OBSERVAÇÃO / DATA</th>
                                        <th>ASSINATURA</th>
                                    </tr>
                                </thead>
                                <tbody id="listavend">

                                </tbody>
                            </table>

                            <a href="pagina-notificacoes.php" onclick="window.close()" class="button special">Voltar</a>
                        </div>

                    </section>

                </div>
            </div>
        </div>

        <!-- Scripts -->
        <script src="assets/js/jquery.min.js"></script>
        <script src="assets/js/skel.min.js"></script>
        <script src="assets/js/util.js"></script>
        <!--[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]-->
        <script src="assets/js/main.js"></script>
        <script src="dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="conta_notification.js"></script>
        <script src="query_ajax.js"></script>
        <script src="jquery3.js"></script>
        <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>

        <script>
                                listaContratosVazios();
                                function listaContratosVazios() {

                                    var ncontrat = $("#valueToSearch").val();//document.getElementById('ncontrat');

                                    jQuery.ajax({
                                        type: "GET",
                                        url: "nfuncao/lista_instalacao_concluida.php?valueToSearch=" + ncontrat,
                                        data: "", //, age1: $('#age1').val()},
                                        success: function (result) {
                                            //document.getElementById("azzas").innerHTML = "Mensagens Privadas para: " + user;
                                            $("#listavend").html(result);
                                            toastr.info('Dados Retornados com Sucesso', {"progressBar": true, "timeOut": "1500"});
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                function confirmaReabre(idcli) {
                                    if (confirm('Você Realmente deseja Reabrir essa Instalação?')) {
                                        // Save it!
                                        Altera(idcli);
                                    } else {
                                        // Do nothing!
                                        toastr.error('Nada Alterado');
                                    }
                                }

                                function Altera(idcli) {
                                    jQuery.ajax({
                                        type: "POST",
                                        url: "nfuncao/alt_status_inst.php", //?id="+idt+"&alt="+checked,
                                        dataType: "html",
                                        data: jQuery.param({id: idcli}),

                                        // enviado com sucesso
                                        success: function (response) {

                                            var resultObj = JSON.parse(response);
                                            if (resultObj.resposta === 'ok') {
                                                alert('Instalação Reaberta com Sucesso!');
                                                location.href = 'painel-instalacao_finalizados.php';
                                            } else {
                                                toastr.error('Erro ao Alterar Opção');
                                            }
                                        },
                                        // quando houver erro
                                        error: function () {
                                            // alert("Ocorreu um erro durante a requisição");toastr.error('Erro ao deletar Mensagem', 'Erro!', {"progressBar": true});
                                            toastr.error('Erro!');
                                        }
                                    });
                                }

                                function abrirContrato(idt) {
                                    let params = `width=940, height=650, top=0, left=110, scrollbars=yes`;

                                    var caminho = "nfuncao/modelob.php?id=" + idt;

                                    open(caminho, 'pagina', params);
                                    //window.print();
                                }

                                function gerarContrato(idcli) {
                                    toastr.warning('Gerando Contrato', 'Aguarde!');
                                    jQuery.ajax({
                                        type: "POST",
                                        url: "nfuncao/modelobs.php", //- action form
                                        dataType: "html",
                                        data: jQuery.param({id: idcli}),
                                        success: function (result) {
                                            //alert(result);
                                            var resultObj = JSON.parse(result);
                                            if (resultObj.resposta === 'ok') {
                                                toastr.success('Contrato Gerado com Sucesso!', 'Sucesso!');
                                                listaContratosVazios();
                                            } else {
                                                toastr.error('Erro ao Gerar Contrato!', 'Erro!');
                                            }

                                        },
                                        error: function () {
                                            toastr.error('Erro ao Enviar Mensagem', 'Erro!');
                                        }
                                    });
                                }

                                function verBaixado(caminho) {
                                    let params = `width=940, height=650, top=0, left=110, scrollbars=yes`;

                                    //var caminho= "nfuncao/modelob.php?id="+idt;

                                    open(caminho, 'pagina', params);
                                    //window.print();
                                }

                                function materiaisUtilizados(idt) {
                                    let params = `width=940, height=600, top=0, left=110, scrollbars=yes`;

                                    var caminho = "nfuncao/lista_materiais_utilizados.php?login=" + idt;

                                    open(caminho, 'pagina', params);
                                }

                                function osPreenchida(id) {
                                    let params = `width=794, height=1123, top=0, left=110, scrollbars=yes`;

                                    var caminho = "func_suporte/doc_instalacao.php?id=" + id;

                                    open(caminho, 'pgoscompleta', params);
                                }
        </script>

    </body>
</html>
