<?php

const FIREBASE_NOTIFICATION_URL = "https://fcm.googleapis.com/fcm/send";
const FIREBASE_CLOUD_MESSAGING_KEY = "AAAAAMWlVtw:APA91bFIa_C3POAUj4FSyXDEygmImwDZnrj-06eFNQ4NQ9TXsL9LcmOulFyhfpIhhLjtUr2tKf8yBeIFatMxzhg7J06sgph8umEHtiifcIs4WgAgWQFDsqCbjyvitkW2g3jo5tr3fFZW";

const NOTIFICATION_NEW_MESSAGE = "nova_mensagem";
const NOTIFICATION_NEW_MESSAGE2 = "nova_inst";

function sendNotification($token, $event, $content = '') {
    $ch = curl_init(FIREBASE_NOTIFICATION_URL);
    curl_setopt($ch, CURLOPT_POST, true);
    //Definimos o header conforme a documentação do firebase (https://firebase.google.com/docs/cloud-messaging/downstream)
    $header = array(
        'Content-Type: application/json',
        'Authorization: key=' . FIREBASE_CLOUD_MESSAGING_KEY
    );

    //Corpo da requisição enviada ao servidor do Firebase

    $body = array("to" => $token, "data" => array("event" => $event, "content" => $content));

    curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($body));

    curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $header);

    $result = curl_exec($ch);

    curl_close($ch);
    //Mostramos o resultado da requisição
    //print_r($result);
}

include "config.php";

mysqli_set_charset($conexao, 'utf8');

$queryutil = "select * from mp_utils;";
$dadosutil = mysqli_query($conexao, $queryutil); // or die(mysql_error());
$linhautil = mysqli_fetch_assoc($dadosutil);
$totalutil = mysqli_num_rows($dadosutil);

// pega as quantidades do mp_utils apra o suporte
$numlinhas = floor($linhautil['linhas']);
$numqtd = floor($linhautil['qtd']);

// pega as quantidades do mp_utils para as instalações
$numlinhasi = floor($linhautil['linhasi']);
$numqtdi = floor($linhautil['qtdi']);

//requisita do suporte
$querysup = "SELECT s.id FROM sis_suporte as s inner join sis_cliente as r on s.login = r.login WHERE s.status='aberto' and r.cli_ativado = 's' ORDER BY abertura DESC"; // ORDER BY username ASC";
$dadossup = mysqli_query($conexao, $querysup); // or die(mysql_error());
$linhasup = mysqli_fetch_assoc($dadossup);
$totalsup = mysqli_num_rows($dadossup);

$numlinhascurr = floor($linhasup['id']);
$supqtd = floor($totalsup);

//requisita da instalação
$queryinst = "SELECT * FROM sis_solic WHERE status in ('aberto','pendente') and instalado='nao' ORDER BY id DESC"; // ORDER BY username ASC";
$dadosinst = mysqli_query($conexao, $queryinst); // or die(mysql_error());
$linhainst = mysqli_fetch_assoc($dadosinst);
$totalinst = mysqli_num_rows($dadosinst);

$numlinhasicurr = floor($linhainst['id']);
$instqtd = floor($totalinst);

//VERIFICA SE TEM NOVAS CHAMADAS DE SUPORTE*********************************************************************************************
if ($numlinhas === 0) {
    $querysupe = "update mp_utils set linhas='" . $numlinhascurr . "', qtd='" . $supqtd . "' where id=1"; // ORDER BY username ASC";
    $dadossupe = mysqli_query($conexao, $querysupe); // or die(mysql_error());
    echo '1';
} else {
    if ($numlinhascurr > $numlinhas) { //verifica se tem alguma chamada nova
        $querysup = "update mp_utils set linhas='" . $numlinhascurr . "', qtd='" . $supqtd . "' where id=1"; // ORDER BY username ASC";
        $dadossup = mysqli_query($conexao, $querysup); // or die(mysql_error());

        $query = "select * from mp_user;";
        $dados = mysqli_query($conexao, $query); // or die(mysql_error());
        $total = mysqli_num_rows($dados);
        $Tokens = array();
        if ($total > 0) {
            while ($linha = mysqli_fetch_assoc($dados)) {
                $tok = $linha['token'];
                if ($tok != "") {
                    $token = $linha['token'];
                    sendNotification($token, NOTIFICATION_NEW_MESSAGE, "");
                }
            }
        }
        echo '2';
    } else if ($supqtd > $numqtd) {
        $querysup = "update mp_utils set linhas='" . $numlinhascurr . "', qtd='" . $supqtd . "' where id=1"; // ORDER BY username ASC";
        $dadossup = mysqli_query($conexao, $querysup); // or die(mysql_error());

        $query = "select * from mp_user;";
        $dados = mysqli_query($conexao, $query); // or die(mysql_error());
        $total = mysqli_num_rows($dados);
        $Tokens = array();
        if ($total > 0) {
            while ($linha = mysqli_fetch_assoc($dados)) {
                $tok = $linha['token'];
                if ($tok != "") {
                    $token = $linha['token'];
                    sendNotification($token, NOTIFICATION_NEW_MESSAGE, "");
                }
            }
        }
        echo '3';
    } else if ($supqtd < $numqtd) {
        $querysup = "update mp_utils set linhas='" . $numlinhascurr . "', qtd='" . $supqtd . "' where id=1"; // ORDER BY username ASC";
        $dadossup = mysqli_query($conexao, $querysup); // or die(mysql_error());
        echo '0';
    } else {
        echo '0';
    }
}
//*****************************************************************************************************************************
//*
//*
//*
//*
//*
//VERIFICA SE TEM NOVAS CHAMADAS DE INSTALAÇÃO******************************************************************************************
if ($numlinhasi === 0) {
    $queryinste = "update mp_utils set linhasi='" . $numlinhasicurr . "', qtdi='" . $instqtd . "' where id=1"; // ORDER BY username ASC";
    $dadosinste = mysqli_query($conexao, $queryinste); // or die(mysql_error());
    echo '1';
} else {
    if ($numlinhasicurr > $numlinhasi) { //verifica se tem alguma chamada nova
        $queryinste = "update mp_utils set linhasi='" . $numlinhasicurr . "', qtdi='" . $instqtd . "' where id=1"; // ORDER BY username ASC";
        $dadosinste = mysqli_query($conexao, $queryinste); // or die(mysql_error());

        $queryy = "select * from mp_user;";
        $dadosy = mysqli_query($conexao, $queryy); // or die(mysql_error());
        $totaly = mysqli_num_rows($dadosy);
        $Tokens2 = array();
        if ($totaly > 0) {
            while ($linhay = mysqli_fetch_assoc($dadosy)) {
                $toky = $linhay['token'];
                if ($toky != "") {
                    $tokeny = $linhay['token'];
                    sendNotification($tokeny, NOTIFICATION_NEW_MESSAGE2, "");
                }
            }
        }
        echo '2';
    } else if ($instqtd > $numqtdi) {
        $queryinste = "update mp_utils set linhasi='" . $numlinhasicurr . "', qtdi='" . $instqtd . "' where id=1"; // ORDER BY username ASC";
        $dadosinste = mysqli_query($conexao, $queryinste); // or die(mysql_error());

        $queryx = "select * from mp_user;";
        $dadosx = mysqli_query($conexao, $queryx); // or die(mysql_error());
        $totalx = mysqli_num_rows($dadosx);
        $Tokensx = array();
        if ($totalx > 0) {
            while ($linhax = mysqli_fetch_assoc($dadosx)) {
                $tokx = $linhax['token'];
                if ($tokx != "") {
                    $tokenx = $linhax['token'];
                    sendNotification($tokenx, NOTIFICATION_NEW_MESSAGE2, "");
                }
            }
        }
        echo '3';
    } else if ($instqtd < $numqtdi) {
        $queryinste = "update mp_utils set linhasi='" . $numlinhasicurr . "', qtdi='" . $instqtd . "' where id=1"; // ORDER BY username ASC";
        $dadosinste = mysqli_query($conexao, $queryinste); // or die(mysql_error());
        echo '0';
    } else {
        echo '0';
    }
}
