<?php
include("protection_admin.php");
protect();

include "config.php";

$querychave= "select * from mp_opcao where id=1;";
$dadoschave = mysqli_query($conexao, $querychave);// or die(mysql_error());
$linhachave = mysqli_fetch_assoc($dadoschave);
$chavegmaps = $linhachave['op4'];

$q = "select * from mp_utils";
$res = mysqli_query($conexao, $q);// or die(mysql_error());
$linha = mysqli_fetch_assoc($res);
$key = $linha['chave'];

require_once('../ndados/verif_chave.php');

if ($key === "") {
    echo "<script> alert('Não há Nenhuma chave Cadastrada!'); location.href='../area-admin.php' </script>";
} else {
    if ($data['cli_key'] === $key) {
        
    } else {
        echo "<script> alert('Chave desconfigurada'); location.href='../area-admin.php' </script>";
    }
}

if(isset($_GET['query'])) {
    $pesquisa = $_GET['query'];    
} else {
    $pesquisa = "";    
}

$queryutil = "select * from mp_utils where id=1;";
$dadosutil = mysqli_query($conexao, $queryutil);// or die(mysql_error());
$linhautil = mysqli_fetch_assoc($dadosutil);
//$totalutil = mysqli_num_rows($dadosutil);
if ($linhautil > 0) {
    $lat = $linhautil['latmapa'];
    $lng = $linhautil['lngmapa'];
    $time = $linhautil['maptempo'] * 1000;
    $coo = "" . $lat . ", " . $lng . "";
    $tipomapa = $linhautil['map_tipo'];
    $zoom = $linhautil['zoom'];

    if ($tipomapa === "normal") {
        $typemap = "google.maps.MapTypeId.ROADMAP";
    } else {
        $typemap = "google.maps.MapTypeId.SATELLITE";
    }
} else {
    $lat = "-10.00";
    $lng = "-50.00";
    $time = 60 * 1000;
    $coo = "" . $lat . ", " . $lng . "";
    $typemap = "google.maps.MapTypeId.ROADMAP";
    $zoom = "16";
}

//mapTypeId: google . maps . MapTypeId . HYBRID
?>
<!DOCTYPE html >
<head>
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no" />
    <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
    <title>Mapa de Caixas</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>  
    <style>
        /* Always set the map height explicitly to define the size of the div
         * element that contains the map. */
        #map {
            height: 100%;
        }
        /* Optional: Makes the sample page fill the window. */
        html, body {
            height: 100%;
            margin: 0;
            padding: 0;
        }
        .labels {
            color: red;
            background-color: white;
            font-family: "Lucida Grande", "Arial", sans-serif;
            font-size: 10px;
            font-weight: bold;
            text-align: center;
            width: 60px;
            border: 2px solid black;
            white-space: nowrap;
        }
        #floating-panel {
            position: absolute;
            top: 10px;
            left: 50%;
            z-index: 5;
            background-color: #fff;
            padding: 5px;
            border: 1px solid #999;
            text-align: center;
            font-family: "Roboto", "sans-serif";
            line-height: 30px;
            padding-left: 10px;
        }
    </style>
</head>

<body>
    <div id="floating-panel">
        <input id="simbologia" type="button" value="Simbologia" />
    </div>
    <div id="map"></div>
    <script>
        var customicon = {
            hermetica: {
                icon: 'image/point_verde.png',
                nome: 'Hermética'
            },
            ceo: {
                icon: 'image/point_ceo1.png',
                nome: 'CEO'
            },
            nap: {
                icon: 'image/point_vermelho.png',
                nome: 'NAP'
            },
            ctov: {
                icon: 'image/point_verde.png',
                nome: 'CTO'
            },
            ctoa: {
                icon: 'image/point_amarelo.png',
                nome: 'CTO'
            },
            ctor: {
                icon: 'image/point_vermelho.png',
                nome: 'CTO'
            },
            ftth: {
                icon: 'image/point_verde_ftth.png',
                nome: 'FTTH'
            }
        };

        var customicon2 = {
            verdep: {
                icon: 'image/point_casinha_on.png'
            },
            vermelhop: {
                icon: 'image/point_casinha_off.png'
            },
            amarelop: {
                icon: 'image/point_casinha_block_off.png'
            },
            laranjap: {
                icon: 'image/point_casinha_block_off.png'
            },
            verdea: {
                icon: 'image/point_casinha_adicional_on.png'
            },
            vermelhoa: {
                icon: 'image/point_casinha_adicional_off.png'
            },
            amareloa: {
                icon: 'image/point_casinha_adicional_block_off.png'
            },
            laranjaa: {
                icon: 'image/point_casinha_adicional_block_off.png'
            }
        };

        var map;
        var arrMarkers = [];
        var arrMarkersfilho = [];
        var infoWindow;

        function initMap() {
            map = new google.maps.Map(document.getElementById('map'), {
                center: new google.maps.LatLng(<?php echo $coo; ?>),
                mapTypeId: <?php echo $typemap; ?>,
                zoom: <?php echo $zoom; ?>
            });
            infoWindow = new google.maps.InfoWindow;

            loadClientMarkers();
            populaFibras();

            document.getElementById("simbologia").addEventListener("click", abrir_mapa_info);
        }

        function loadClientMarkers() {

            // Change this depending on the name of your PHP or XML file
            downloadUrl('coordenadascaixa.php', function (data) {
                var xml = data.responseXML;
                var markers = xml.documentElement.getElementsByTagName('marker');
                Array.prototype.forEach.call(markers, function (markerElem) {
                    var id = markerElem.getAttribute('id');
                    var nome = markerElem.getAttribute('nome');
                    var capacidade = markerElem.getAttribute('capacidade');
                    var cativos = markerElem.getAttribute('cativos');
                    var tipocaixa = markerElem.getAttribute('tipocaixa');
                    if (tipocaixa === "ceo") {
                        cativos = null;
                    }
                    var point = new google.maps.LatLng(
                            parseFloat(markerElem.getAttribute('lat')),
                            parseFloat(markerElem.getAttribute('lng')));

                    var infowincontent = document.createElement('div');
                    var strong = document.createElement('strong');
                    strong.textContent = nome,
                            infowincontent.appendChild(strong);
                    infowincontent.appendChild(document.createElement('br'));

                    var text = document.createElement('text');
                    text.textContent = "Latitude: " + markerElem.getAttribute('lat') + ", Longitude: " + markerElem.getAttribute('lng'),
                            infowincontent.appendChild(text);

                    var image = {
                        url: 'image/point_vermelho.png'
                    };
                    var icon = customicon[tipocaixa] || {};
                    var marker = new google.maps.Marker({
                        map: map,
                        position: point,
                        title: 'Caixa: ' + nome,
                        label: {
                            text: cativos,
                            fontFamily: "'Roboto', Black 900 italic",
                            color: 'black',
                            fontSize: "16px",
                            class: "labels"
                        },
                        icon: {
                            url: icon.icon,
                            labelOrigin: new google.maps.Point(14, 15)
                        }
                    });

                    arrMarkers.push(marker); // adicionar marker ao array de controle

                    var contentString = '';

                    if (tipocaixa === "ceo") {
                        contentString = '<div id="content">' +
                                '<p><h4 align="center"><strong>' + nome + '</strong></h4>' +
                                '<strong>Tipo Caixa: ' + icon.nome + '</strong></p>' +
                                '</div>';
                    } else {
                        contentString = '<div id="content">' +
                                '<p><h4 align="center"><strong>' + nome + '</strong></h4>' +
                                '<strong>Tipo Caixa: ' + icon.nome + '</strong>' +
                                '<br/><strong>Capacidade: </strong>' + capacidade +
                                '<br/><strong>Clientes Ativos: </strong>' + cativos + '</p>' +
                                '</div>';
                    }

                    marker.addListener('click', function () {
                        infoWindow.setContent(contentString);
                        infoWindow.open(map, marker);
                        deleteMarkers();
                        loadClientMarkersFilhos(nome);
                    });
                });
            });
        }

        function loadClientMarkersFilhos(caixa) {

            downloadUrl('coordenadascaixafilhos.php?caixa=' + caixa, function (data) { // busca novamente os marcadores na base
                var xml = data.responseXML;
                var markers = xml.documentElement.getElementsByTagName('marker');
                Array.prototype.forEach.call(markers, function (markerElem) {

                    var name = markerElem.getAttribute('name');
                    var porta = markerElem.getAttribute('porta');
                    var nomecaixa = markerElem.getAttribute('nomecaixa');
                    var iccone = markerElem.getAttribute('icone');

                    var point = new google.maps.LatLng(
                            parseFloat(markerElem.getAttribute('lat')),
                            parseFloat(markerElem.getAttribute('lng')));

                    var infowincontent = document.createElement('div');
                    var strong = document.createElement('strong');
                    strong.textContent = name,
                            infowincontent.appendChild(strong);
                    infowincontent.appendChild(document.createElement('br'));

                    var text = document.createElement('text');
                    text.textContent = "Latitude: " + markerElem.getAttribute('lat') + ", Longitude: " + markerElem.getAttribute('lng'),
                            infowincontent.appendChild(text);
                    var icon = customicon2[iccone] || {};
                    var marker = new google.maps.Marker({
                        map: map,
                        position: point,
                        title: 'Cliente: ' + name + '\nPorta: ' + porta,
                        icon: icon.icon
                    });

                    arrMarkersfilho.push(marker); // adicionar marker ao array de controle

                    var contentString = '<div id="content">' +
                            '<h4 align="center"><strong>' + name + '</strong></h4>' +
                            '<h4 align="center"><strong>' + nomecaixa + '</strong></h4>' +
                            '<strong>Porta: ' + porta + '</strong>' +
                            '<br/><strong>Latitude: </strong>' + markerElem.getAttribute('lat') +
                            '<br/><strong>Longitude: </strong>' + markerElem.getAttribute('lng') +
                            '</div>';

                    marker.addListener('click', function () {
                        infoWindow.setContent(contentString);
                        infoWindow.open(map, marker);
                    });

                    google.maps.event.addListener(marker, 'dragend', function (event) {
                        var coord = event.latLng.lat() + ',' + event.latLng.lng();
                        confirmar(id, coord);
                    });
                });
            });
        }

        function populaFibras() {

            downloadUrl('coordenadasfibra.php', function (data) { // busca novamente os marcadores na base
                var xml = data.responseXML;
                var markers = xml.documentElement.getElementsByTagName('marker');
                Array.prototype.forEach.call(markers, function (markerElem) {

                    var name = markerElem.getAttribute('name');
                    var tipo = markerElem.getAttribute('tipo');
                    var cor = markerElem.getAttribute('cor');
                    var stroke = markerElem.getAttribute('stroke');
                    var rota = markerElem.getAttribute('rota');

                    const arrayCoordenadas = JSON.parse(rota.replace(/lat/g, '"lat"').replace(/lng/g, '"lng"'));


                    //const arr = JSON.parse(rota);
                    console.log(arrayCoordenadas);

                    const fibra1path = new google.maps.Polyline({
                        path: arrayCoordenadas,
                        geodesic: true,
                        strokeColor: cor,
                        strokeOpacity: 1.0,
                        strokeWeight: stroke,
                    });

                    //info(fibra1path, map, name);

                    var conteudo = "<br/><br/><strong>Nome: </strong>" + name +
                            "<br/><strong>Tipo Fibra: </strong>" + tipo + " FO";
                    google.maps.event.addListener(fibra1path, 'click', function (event) {
                        infoWindow.setContent(conteudo);
                        infoWindow.setPosition(event.latLng);
                        infoWindow.open(map);
                    });


                    fibra1path.setMap(map);

                });
            });
        }

        function deleteMarkers() {
            setMapOnAll(null);
            markers = [];
        }

        function setMapOnAll(map) {
            for (var i = 0; i < arrMarkersfilho.length; i++) {
                arrMarkersfilho[i].setMap(map);
            }
        }

        function downloadUrl(url, callback) {
            var request = window.ActiveXObject ?
                    new ActiveXObject('Microsoft.XMLHTTP') :
                    new XMLHttpRequest;

            request.onreadystatechange = function () {
                if (request.readyState == 4) {
                    request.onreadystatechange = doNothing;
                    callback(request, request.status);
                }
            };

            request.open('GET', url, true);
            request.send(null);
        }

        function info(path, maps, content) {
            //var infowindow = new google.maps.InfoWindow();

            google.maps.event.addListener(path, 'click', function (event) {
                infoWindow.setContent("<br/><br/>" + content);
                infoWindow.setPosition(event.latLng);
                infoWindow.open(maps, );
            });
        }

        function abrir_mapa_info() {

            var popupWinWidth = screen.availWidth - 800;
            var popupWinHeight = screen.availHeight - 300;

            var left = (screen.width - popupWinWidth) / 2;
            var top = (screen.height - popupWinHeight) / 4;

            let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';

            var caminho = "informa-icones-mapa.html";

            open(caminho, 'paginainfoicones', params);

            //window.location.href = "";
        }


        function doNothing() {}
    </script>
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=<?php echo $chavegmaps; ?>&callback=initMap">
    </script>
    <script>

    </script>
    <!--script src="assets/js/jquery.min.js"></script>
    <script src="assets/js/skel.min.js"></script>
    <script src="assets/js/util.js"></script>
    <[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]>
    <script src="assets/js/main.js"></script>
    <script src="conta_notification.js"></script>
    <script src="query_ajax.js"></script>
    <script src="jquery3.js"></script-->

</body>
</html>

