<?php
include "../config.php";
mysqli_set_charset($conexao, 'utf8');

if (isset($_GET['x'])) {
    $x = $_GET['x'];
    $caminho = "";

    if ($x === '1') {
        $caminho = "../lista-fibras.php";
    } else {
        $caminho = "../lista-caixas.php";
    }
} else {
    $caminho = "../lista-caixas.php";
}

if (isset($_FILES['arquivo']) && $_FILES['arquivo']['error'] == 0) {
    $nome_arquivo = $_FILES['arquivo']['name'];
    $temp_arquivo = $_FILES['arquivo']['tmp_name'];
    $pasta_destino = '../arquivo_earth/';

    if (move_uploaded_file($temp_arquivo, $pasta_destino . $nome_arquivo)) {
        $query = "update mp_opcao set op5 = '$nome_arquivo' where id=1;";
        $requisicao = mysqli_query($conexao, $query);
        echo "<script> alert('Arquivo salvo com sucesso!'); location.href='./' </script>";
    } else {
        echo "<script> alert('Erro ao Salvar Arquivo!');  </script>"; //location.href='./'
    }
}


$query = "select * from mp_opcao where id=1;";
$requisicao = mysqli_query($conexao, $query);
$dados = mysqli_fetch_assoc($requisicao);
$arquivokml = $dados["op5"];
?>

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Converte Arquivo</title>
        <!-- Core theme CSS (includes Bootstrap)-->
        <link href="css/styles.css" rel="stylesheet" />
        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">
    </head>
    <body>

        <!-- Page content wrapper-->
        <div id="page-content-wrapper">
            <!-- Top navigation-->
            <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
                <div class="container-fluid">
                    <button class="btn btn-primary" id="sidebarToggle" onclick="voltar('<?php echo $caminho ?>');">Voltar</button>
                    <button class="btn btn-primary" id="sidebarToggle" onclick="backup();">IR PARA PÁGINA DE BACKUP</button>

                </div>
            </nav>
            <!-- Page content-->
            <div class="container mt-5">
                <h1 class="mt-4">Restaura dados do Google Earth</h1>
                <br/>
                <br/>
                <!-- comment -->
                <form  method="post" enctype="multipart/form-data">
                    <div class="form-group">
                        <label for="exampleFormControlFile1">Insira um Arquivo KML
                            para ser Adicionado ao Mapa de Caixas</label><br/><br/>
                        <input type="file" class="form-control-file" name="arquivo">
                    </div>
                    <br/>
                    <button type="submit" class="btn btn-primary">Salvar Arquivo KML</button>
                </form>
            </div>

            <div class="container mt-5">
                <h1>Cadastrar Caixas e Fibras no Banco de Dados</h1>
                <br/>
                <br/>
                <form action="recuperar_arquivo.php" method="post">
                    <div class="form-group">
                        <label for="nome_arquivo">Insira o nome do Arquivo KML que 
                            você salvou no sistema: <br/>(IMPORTANTE!) insira com a extensão .kml - EX.: arquivo.kml</label>
                        <br/><br/>
                        <h5>Último Arquivo Salvo: <strong style="color: red"><?php echo $arquivokml; ?></strong>
                            <i class="fa fa-clipboard" title = "Inserir Nome do Arquivo KML" style="padding-left: 10px; cursor:pointer; cursor:hand; color: #003eff" onclick="colaArquivo('<?php echo $arquivokml; ?>')"></i></h5>
                        <br/><br/>
                        <input type="text" class="form-control" id="nome_arquivo" name="nome_arquivo" placeholder="Insira o nome do arquivo KML">
                    </div>
                    <br/>
                    <button type="button" class="btn btn-primary" onclick="Cadastrar();">Cadastrar</button>
                </form>
                <br/>
                <br/>
                <br/>
                <br/>
            </div>
        </div>
    </div>
    <!-- Bootstrap core JS-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
    <!-- Core theme JS-->
    <script src="js/scripts.js"></script>
    <script>

                        function Cadastrar() {
                            var arquivo = document.getElementById('nome_arquivo').value;
                            if (arquivo == null || arquivo == "") {

                                toastr.warning('Insira um nome de arquivo', {"progressBar": true});

                            } else {
                                if (confirm("Você quer realmente Inserir esses dados no Banco?")) {
                                    jQuery.ajax({
                                        type: "GET",
                                        url: "integra-mapa.php?arquivo=" + arquivo,
                                        data: "",
                                        success: function (result) {
                                            var resultObj = JSON.parse(result);
                                            if (resultObj.resposta === 'ok') {
                                                document.getElementById('nome_arquivo').value = "";
                                                toastr.success('Dados Inseridos no Banco com Sucesso', {"progressBar": true});
                                            } else {
                                                toastr.error('Erro ao Inserir Dados', 'Erro!', {"progressBar": true});
                                            }
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }
                            }

                        }

                        function colaArquivo(nome) {
                            var arquivo = document.getElementById('nome_arquivo').value = nome;
                        }

                        function voltar(caminho) {
                            window.location.href = caminho;
                        }

                        function backup() {
                            window.location.href = "../../area-backup.php";
                        }
    </script>
</body>
</html>



