<?php

header('Content-type: text/html; charset=UTF-8');
include "conf.php";

$dataInicio = isset($_POST['dataInicio']) ? $_POST['dataInicio'] : '';
$dataFim = isset($_POST['dataFim']) ? $_POST['dataFim'] : '';
$tecnicoLogin = isset($_POST['tecnicoLogin']) ? $_POST['tecnicoLogin'] : '';

mysqli_set_charset($conexao, 'utf8');

if (empty($dataInicio) || empty($dataFim) || empty($tecnicoLogin)) {
    die("Erro: as datas não foram fornecidas corretamente.");
}

$dataFim = date('Y-m-d', strtotime($dataFim . ' +1 day')) . ' -1 second';

$query = "SELECT * FROM sis_prodcliente WHERE datains BETWEEN '$dataInicio' AND '$dataFim' AND"
        . " usuario = '$tecnicoLogin' ORDER BY usuario ASC, datains DESC";

$dados = mysqli_query($conexao, $query);

// Verificar se a consulta foi bem-sucedida
if (!$dados) {
    die("Erro ao executar a consulta: " . mysqli_error($conexao));
}

while ($linha = mysqli_fetch_assoc($dados)) {

    $idprod = $linha['idprod'];
    $qtdcli = $linha['qtdcli'];
    $datains = $linha['datains'];
    $cliente = $linha['cliente'];
    $chamado = $linha['chamado'];
    if ($chamado !== NULL && $chamado !== "") {
        $tipo = "Suporte<br/><span class='small text-danger'>Chamado: " . $chamado . "</span>";
        $tabela = "sis_cliente";
    } else {
        $tipo = "Instalação";
        $tabela = "sis_solic";
    }

    $dateObj = DateTime::createFromFormat('Y-m-d H:i:s', $datains);
    $formattedDate = $dateObj->format('d/m/Y H:i:s');
    
    $formattedDateOnly = $dateObj->format('Y-m-d');

    $queryProduto = "SELECT nome FROM sis_produto WHERE id = '$idprod'";
    $resultProduto = mysqli_query($conexao, $queryProduto);

    if (mysqli_num_rows($resultProduto) > 0) {
        // Obtenha o resultado e armazene na variável $nomeProduto
        $rowProduto = mysqli_fetch_assoc($resultProduto);
        $nomeProduto = $rowProduto['nome'];
    } else {
        $nomeProduto = "Produto não encontrado";
    }

    $queryCliente = "SELECT nome, login FROM $tabela WHERE login = '$cliente'";
    $resultCliente = mysqli_query($conexao, $queryCliente);

    $rowCliente = mysqli_fetch_assoc($resultCliente);
    $nomeCliente = $rowCliente['nome'];

    // Converta as variáveis para strings válidas para JavaScript
    //$clienteJs = json_encode($cliente);
    //$sdateObjJs = json_encode($sdateObj);

    echo '<tr>
      <td class="text-center text-custom-blue">' . $nomeProduto . '</td>
      <td class="text-center text-custom-blue">' . $qtdcli . '</td>
      <td class="text-center text-custom-blue">' . $nomeCliente . '</td>
      <td class="text-center text-custom-blue">' . $tipo . '</td>
      <td class="text-center text-custom-blue">' . $formattedDate . '</td>
      <td class="text-center text-custom-blue" style="cursor: pointer;" onclick="verHistorico(\'' . $tecnicoLogin . '\', \'' . $formattedDateOnly . '\');"><span class="small text-primary">HISTÓRICO</span></td>
      </tr>';
}

// Fechar a conexão com o banco de dados
mysqli_close($conexao);

