<?php
include "conf.php";

if (isset($_GET['tecnico']) && isset($_GET['data'])) {

    $tecnico = $_GET["tecnico"];
    $data = $_GET["data"];
    try {
        $dateObj = new DateTime($data);
        $data_formatada = $dateObj->format('d/m/Y');
    } catch (Exception $e) {
        // Trate o erro de data inválida, se necessário
        $data_formatada = 'Data inválida';
    }

    $qtab = "SELECT * FROM sis_prodhistorico WHERE usuario = '$tecnico' AND DATE(data) = '$data' ORDER BY data ASC;";
    $dtab = mysqli_query($conexao, $qtab); // or die(mysql_error());
    $total = mysqli_num_rows($dtab);

    $query = "select * from mp_user where login = '$tecnico';";
    $res = mysqli_query($conexao, $query);
    $dados = mysqli_fetch_assoc($res);
    $ntec = $dados['nome'];
}
?>

<!DOCTYPE html>
<html lang="pt-br">
    <head>
        <title>Histórico do Técnico - <?php echo $tecnico; ?></title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
        <style>
            .full-screen {
                width: 90%;
            }
            .imprimir-btn {
                position: fixed;
                bottom: 20px;
                right: 20px;
                z-index: 999;
            }
            @media print {
                .imprimir-btn {
                    visibility: invisible;
                }

                .imprimir-btn::before {
                    content: none !important;
                }
                @page {
                    margin: 0;
                }
            }
        </style>
    </head>
    <body>

        <div class="container full-screen">
            <h2>Histórico do Técnico - <?php echo $ntec; ?></h2>
            <h4>Data do Histórico: <?php echo $data_formatada; ?></h4><br/>
            <div class="table-responsive">
                <table class="table">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Nome do Produto</th>
                            <th>Histórico</th>
                            <th>Data</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        if ($total > 0) {
                            while ($roww = mysqli_fetch_array($dtab)) {
                                $id = $roww['id'];
                                $nome = $roww['idprod'];
                                $historico = $roww['historico'];
                                $dataa = $roww['data'];

                                $queryProduto = "SELECT nome FROM sis_produto WHERE id = '$nome '";
                                $resultProduto = mysqli_query($conexao, $queryProduto);

                                if (mysqli_num_rows($resultProduto) > 0) {
                                    // Obtenha o resultado e armazene na variável $nomeProduto
                                    $rowProduto = mysqli_fetch_assoc($resultProduto);
                                    $nomeProduto = $rowProduto['nome'];
                                } else {
                                    $nomeProduto = "Produto não encontrado";
                                }

                                $dateObj = DateTime::createFromFormat('Y-m-d H:i:s', $dataa);
                                $formattedDate = $dateObj->format('d/m/Y H:i:s');

                                echo "<tr>
                                    <td>$id</td>
                                    <td>$nomeProduto</td>
                                    <td>$historico</td>
                                    <td>$formattedDate</td>
                                    </tr>";
                            }
                        } else {
                            echo "<tr><td align = \"center\" colspan=\"4\"><strong><font color=\"#f56a6a\">NÃO HÁ HISTÓRICO PARA ESSA DATA</font></strong></td></tr>";
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>

        <button class="btn btn-primary imprimir-btn" onclick="window.print()">
            <i class="fas fa-print"></i> Imprimir
        </button>

        <!-- Adiciona o link para a folha de estilo de impressão -->
        <link rel="stylesheet" type="text/css" href="impressao.css" media="print" />

    </body>

