<?php
include "config.php";
mysqli_set_charset($conexao, 'utf8');

if (isset($_FILES['arquivo']) && $_FILES['arquivo']['error'] == 0) {
    $nome_arquivo = $_FILES['arquivo']['name'];
    $temp_arquivo = $_FILES['arquivo']['tmp_name'];
    $pasta_destino = 'backup/arquivos/';

    if (move_uploaded_file($temp_arquivo, $pasta_destino . $nome_arquivo)) {
        $query = "update mp_opcao set op6 = '$nome_arquivo' where id=1;";
        $requisicao = mysqli_query($conexao, $query);
        echo "<script> alert('Arquivo salvo com sucesso!'); location.href='area-backup.php' </script>";
    } else {
        echo "<script> alert('Erro ao Salvar Arquivo!'); location.href='area-backup.php' </script>";
    }
}

$query = "select * from mp_opcao where id=1;";
$requisicao = mysqli_query($conexao, $query);
$dados = mysqli_fetch_assoc($requisicao);
$arquivosql = $dados["op6"];
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <title>Backup do Sistema MKAuth Suporte App</title>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="css/styles.css" rel="stylesheet" />
    <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">
</head>
<body>

<!-- Page content wrapper-->
<div id="page-content-wrapper">
    <!-- Top navigation-->
    <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
        <div class="container-fluid">
            <button class="btn btn-primary" id="sidebarToggle" onclick="voltar('area-opcoes.php');">Voltar</button>
            <!--button class="btn btn-primary" id="sidebarToggle" onclick="backup();">IR PARA PÁGINA DE BACKUP</button-->

        </div>
    </nav>
    <!-- Page content-->
    <div class="container">
        <h1 class="mt-4">Backup do Sistema MKAuth Suporte App</h1>
        <br/>
        <br/>
        <div class="row">
            <div class="col-sm-4">
                <label for="bktbls">Execute para criar um Arquivo de Backup</label><br/><br/>
                <button class="btn btn-primary" value="Fazer Backup das Tabelas" onclick="backup();">Fazer Backup das Tabelas</button>
            </div>
            <div class="col-sm-4">
                <label for="bktbls">Execute para Baixar o arquivo criado.</label><br/><br/>
                <button class="btn btn-primary" value="Baixar Arquivo .SQL Criado" onclick="baixar_sql('<?php echo $arquivosql; ?>')">Baixar Arquivo .SQL Criado</button>
            </div>
        </div>
    </div>
    <br/>
    <hr>
    <div class="container mt-5">
        <h1 class="mt-4">Upload de Arquivo .SQL</h1>
        <br/>
        <br/>
        <!-- comment -->
        <form  method="post" enctype="multipart/form-data">
            <div class="form-group">
                <label for="exampleFormControlFile1">Insira um Arquivo de Backup do Sistema
                    em formato .SQL</label><br/><br/>
                <input type="file" class="form-control-file" name="arquivo">
            </div>
            <br/>
            <button type="submit" class="btn btn-primary">Salvar Arquivo SQL</button>
        </form>
    </div>
    <br/>
    <hr>
    <div class="container mt-5">
        <h1>Restaurar dados do App MKAUTH Suporte no Banco de Dados</h1>
        <br/>
        <br/>
        <form action="recuperar_arquivo.php" method="post">
            <div class="form-group">
                <button type="button" class="btn btn-primary" onclick="lista_BK();">Lista dos Backups Salvos no Sistema</button>
                <br/><br/>
                <label for="nome_arquivo">Insira o nome do Arquivo SQL que
                    você salvou no sistema: <br/>(IMPORTANTE!) insira com a extensão .sql - EX.: arquivo.sql</label>
                <br/><br/>
                <h5>Último Arquivo Salvo: <strong style="color: red"><?php echo $arquivosql; ?></strong>
                    <i class="fa fa-clipboard" title = "Inserir Nome do Arquivo SQL" style="padding-left: 10px; cursor:pointer; cursor:hand; color: #003eff" onclick="colaArquivo('<?php echo $arquivosql; ?>')"></i></h5>
                <br/>
                <input type="text" class="form-control" id="bk" name="bk" placeholder="Insira o nome do arquivo SQL">
            </div>
            <br/>
            <button type="button" class="btn btn-primary" onclick="Cadastrar();">Restaurar Backup</button>
        </form>
        <br/><br/>
        <br/><br/>
    </div>
</div>
</div>
<!-- Bootstrap core JS-->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
<!-- Core theme JS-->
<script src="js/scripts.js"></script>
<script>

    function Cadastrar() {
        var arquivo = document.getElementById('bk').value;
        if (arquivo == null || arquivo == "") {

            toastr.warning('Insira um nome de arquivo', {"progressBar": true});

        } else {
            if (confirm("Você quer realmente Inserir esses dados no Banco?")) {

                jQuery.ajax({
                    type: "POST",
                    url: "backup/restaurarx.php",
                    dataType: "html",
                    data: jQuery.param({bk: arquivo}),

                    // enviado com sucesso
                    success: function (response) {
                        var resultObj = JSON.parse(response);
                        if (resultObj.resposta === 'ok') {
                            toastr.success("Backup restaurado com Sucesso!");
                            document.getElementById('bk').value = '';
                        } else {
                            toastr.error('Erro ao Restaurar Backup');
                        }
                    },
                    // quando houver erro
                    error: function () {
                        // alert("Ocorreu um erro durante a requisição");toastr.error('Erro ao deletar Mensagem', 'Erro!', {"progressBar": true});
                    }
                });

            }
        }

    }

    function colaArquivo(nome) {
        var arquivo = document.getElementById('bk').value = nome;
    }

    function voltar(caminho) {
        window.location.href = caminho;
    }

    function backup() {
        window.location.href = "backup/backup.php";
    }

    function baixar_sql(arquivo) {
        window.location.href = "backup/arquivos/" + arquivo;
    }

    function lista_BK() {

        var popupWinWidth = 600;
        var popupWinHeight = 600;

        var left = (screen.width - popupWinWidth) / 2;
        var top = (screen.height - popupWinHeight) / 4;

        let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';

        var caminho = "backup/lista-backups.php";

        open(caminho, 'listabackupsbackups', params);

        //window.location.href = "";
    }
</script>
</body>
</html>
