<?php
include "config.php";
mysqli_set_charset($conexao, 'utf8');

$query = "SELECT * FROM mp_numcli";
$dados = mysqli_query($conexao, $query);// or die(mysql_error());
$linha = mysqli_fetch_assoc($dados);
?>
<!DOCTYPE HTML>
<html lang="pt-br">
    <head>
        <title>Informações de Página do Mapa</title>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
        <link rel="stylesheet" href="assets/css/main.css" />
    </head>
    <body>

        <!-- Wrapper -->
        <div id="wrapper">

            <!-- Main -->
            <div id="main">
                <div class="inner">

                    <!-- Header -->
                    <header id="header">
                        <a href="painel-gerenciamento.php" class="logo"><strong>MK-Auth Suporte</strong> por JJR Electronics</a>
                    </header>

                    <!-- Content -->
                    <section>
                        <header class="main">
                            <h2>Informações de Página do Mapa</h2>
                        </header>

                        <div class="table-wrapper">
                            <table class="alt">
                                <thead>
                                    <tr>
                                        <th>NÚMERO DE CLIENTES</th>
                                        <th>NÚMERO DE PÁGINAS NO MAPA</th>
                                        <th>NÚMERO DE CLIENTES POR PÁGINA</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td align="center"><strong><?php echo $linha['numero']; ?></strong></td>
                                        <td align="center"><strong><?php echo $linha['numpag']; ?></strong></td>
                                        <td align="center"><strong><?php echo $linha['qtcli']; ?></strong></td>
                                    </tr>                                       
                                </tbody>

                            </table>

                    </section>

                </div>
            </div>

            <!-- Sidebar -->
            <div id="sidebar">
                <div class="inner">

                    <!-- Menu -->
                    <nav id="menu">
                        <header class="major">
                            <h2>Menu</h2>
                        </header>
                        <ul>
                            <li><a href="painel-gerenciamento.php">Lista de Usuários</a></li>
                            <li><a href="bate-papo.php">Bate Papo</a></li>
                            <li><a href="mapa-clientes.php">Mapa Clientes</a></li>
                            <li><a href="lista-clientes.php">Lista de Clientes</a></li>
                            <!--li><a href="mapa-funcionarios.php">Mapa Funcionários</a></li-->
                            <li><a href="" onclick="abrir_mapa();">Mapa Caixas</a></li>
                            <li><a href="sistema_caixa/lista-caixas.php">Lista de Caixas</a></li>
                            <li><a href="sistema_caixa/lista-fibras.php">Lista de Fibras</a></li>
                            <li><a href="configuracoes_sistema.php">Configurações do Sistema</a></li>
                            <li><a href="lista-cliente-conex.php">Problemas de Conexão</a></li>
                            <li><a href="abrir-chamado.php">Abrir Chamado</a></li>
                            <li><a href="info-mapa.php"><font color="#f56a6a">Ver Informações do Mapa</font></a></li>
                            <li><a href="area-opcoes.php">Voltar a Área de Opções</a></li>
                            <li><a href="painel-gerenciamento.php?page=sair">Sair</a></li>
                        </ul>
                    </nav>

                    <!-- Section -->
                    <section>
                        <header class="major">
                            <h2>Suporte JJR Electronics</h2>
                        </header>
                        <p>Nós da JJR Electronics estamos felizem em te atender todos os dias a partir das 17h. Em caso de urgência entre em contato conosco atraves de nosso telefone que também é Whatsapp.</p>
                        <ul class="contact">
                            <li class="fa-globe"><a href="http://jjrelectronics.com/">Site JJR Electronics</a></li>
                            <li class="fa-phone">(088) 99456-2205</li>
                            <li class="fa-home">Rua doze de outubro, 352<br />
                                Vila União, Sobral, Ceará - 62021-020</li>
                        </ul>
                    </section>

                    <!-- Footer -->
                    <footer id="footer">
                        <p class="copyright">&copy; 2017. Todos os Direitos Reservados. Design: <a href="http://jjrelectronics.com/">JJR Electronics</a>.</p>
                    </footer>

                </div>
            </div>

        </div>

        <!-- Scripts -->
        <script src="assets/js/jquery.min.js"></script>
        <script src="assets/js/skel.min.js"></script>
        <script src="assets/js/util.js"></script>
        <!--[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]-->
        <script src="assets/js/main.js"></script>
        
        <script>
            function abrir_mapa() {

                var popupWinWidth = screen.availWidth - 100;
                var popupWinHeight = screen.availHeight - 100;

                var left = (screen.width - popupWinWidth) / 2;
                var top = (screen.height - popupWinHeight) / 4;

                let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';

                var caminho = "sistema_caixa/mapa-caixa.php";

                open(caminho, 'pagina', params);

                //window.location.href = "";
            }
        </script>

    </body>
</html>