<?php
include("protection_admin.php");
protect();

if (isset($_GET["page"]) && $_GET["page"] == "sair") {
    sairPagina();
}

include "config.php";

mysqli_set_charset($conexao, 'utf8');
?>

<!DOCTYPE HTML>
<html lang="pt-br">
    <head>
        <title>Painel de Gerenciamento</title>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
        <link rel="stylesheet" href="assets/css/main.css" />
    </head>
    <body>

        <!-- Wrapper -->
        <div id="wrapper">

            <!-- Main -->
            <div id="main">
                <div class="inner">

                    <!-- Header -->
                    <header id="header">
                        <a href="painel-gerenciamento.php" class="logo"><strong>MK-Auth Suporte</strong> por JJR Electronics</a>
                    </header>

                    <!-- Content -->
                    <section>
                        <header class="main">
                            <h2>Lista de Usuários</h2>
                        </header>

                        <img src="sistema_caixa/image/icon-add-new.png" alt="Inserir Novo Cliente" title = "Inserir Novo Cliente" style="cursor:pointer; cursor:hand; transform: scale(0.9);" onclick="inserirCliente();"/>                        
                        <br/><br/>

                        <div class="table-wrapper">
                            <table class="alt">
                                <thead>
                                    <tr>
                                        <th>DADOS <br/>DO USUÁRIO</th>                  
                                        <th>DADOS<br/>SUPORTE</th>                            
                                        <th>ACESSO<br/>MAPA</th>
                                        <th>ÁREA<br/>SUP</th>
                                        <th>ALT.<br/>DADOS</th>
                                        <th>ALT.<br/>ESTOQ</th>
                                        <th>ALT.<br/>CAIXA</th>
                                        <th>ACESSO<br/>APP</th>
                                    </tr>
                                </thead>
                                <tbody id="listatec">

                                </tbody>
                            </table>

                    </section>

                </div>
            </div>

            <!-- Sidebar -->
            <div id="sidebar">
                <div class="inner">

                    <!-- Menu -->
                    <nav id="menu">
                        <header class="major">
                            <h2>Menu</h2>
                        </header>
                        <ul>
                            <li><a href="painel-gerenciamento.php"><font color="#f56a6a">Lista de Usuários</font></a></li>
                            <li><a href="bate-papo.php">Bate Papo</a></li>
                            <li><a href="mapa-clientes.php">Mapa Clientes</a></li>
                            <li><a href="lista-clientes.php">Lista de Clientes</a></li>
                            <!--li><a href="mapa-funcionarios.php">Mapa Funcionários</a></li-->
                            <li><a href="" onclick="abrir_mapa();">Mapa Caixas</a></li>
                            <li><a href="sistema_caixa/lista-caixas.php">Lista de Caixas</a></li>
                            <li><a href="sistema_caixa/lista-fibras.php">Lista de Fibras</a></li>
                            <li><a href="configuracoes_sistema.php">Configurações do Sistema</a></li>
                            <li><a href="lista-cliente-conex.php">Problemas de Conexão</a></li>
                            <li><a href="abrir-chamado.php">Abrir Chamado</a></li>
                            <li><a href="info-mapa.php">Ver Informações do Mapa</a></li>
                            <!--li><a href="config-olt">Configurações OLT</a></li>
                            <li><a href="fiber/fiber_list1.php">Cadastrar ONU</a></li-->
                            <li><a href="area-opcoes.php">Voltar a Área de Opções</a></li>
                            <li><a href="painel-gerenciamento.php?page=sair">Sair</a></li>
                        </ul>
                    </nav>

                    <!-- Section -->
                    <section>
                        <header class="major">
                            <h2>Suporte JJR Electronics</h2>
                        </header>
                        <p>Nós da JJR Electronics estamos felizem em te atender todos os dias a partir das 17h. Em caso de urgência entre em contato conosco atraves de nosso telefone que também é Whatsapp.</p>
                        <ul class="contact">
                            <li class="fa-globe"><a href="http://jjrelectronics.com/">Site JJR Electronics</a></li>
                            <li class="fa-phone">(088) 99456-2205</li>
                            <li class="fa-home">Rua doze de outubro, 352<br />
                                Vila União, Sobral, Ceará - 62021-020</li>
                        </ul>
                    </section>

                    <!-- Footer -->
                    <footer id="footer">
                        <p class="copyright">&copy; 2023. Todos os Direitos Reservados. Design: <a href="http://jjrelectronics.com/">JJR Electronics</a>.</p>
                    </footer>

                </div>
            </div>

        </div>

        <!-- Scripts -->
        <script src="assets/js/jquery.min.js"></script>
        <script src="assets/js/skel.min.js"></script>
        <script src="assets/js/util.js"></script>
        <!--[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]-->
        <script src="assets/js/main.js"></script>
        <script src="conta_notification.js"></script>
        <script src="query_ajax.js"></script>
        <script src="jquery3.js"></script>
        <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>

        <script type="text/javascript">

                                listaUsuarios();
                                function listaUsuarios() {

                                    jQuery.ajax({
                                        type: "GET",
                                        url: "lista_tec_geral.php",
                                        data: "", //, age1: $('#age1').val()},
                                        success: function (result) {
                                            //document.getElementById("azzas").innerHTML = "Mensagens Privadas para: " + user;
                                            $("#listatec").html(result);
                                            //toastr.info('Dados Retornados com Sucesso', {"progressBar": true});
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                function altestoq(idg, idt, nome, campo) {

                                    let checked = "";
                                    if (document.getElementById(idg).checked) {
                                        if (campo === "maphab") {
                                            checked = "permitido";
                                        } else {
                                            checked = "sim";
                                        }

                                    } else {

                                        if (campo === "maphab") {
                                            checked = "negado";
                                        } else {
                                            checked = "nao";
                                        }
                                    }

                                    var msgok = "";
                                    var msgerro = "";
                                    switch (campo) {
                                        case "maphab":
                                            msgok = "Usuário " + nome + " está habilitado para ver o mapa de clientes e lista de clientes";
                                            msgerro = "Usuário " + nome + " está desabilitado para ver o mapa de clientes e lista de clientes";
                                            break;

                                        case "areasup":
                                            msgok = "Usuário " + nome + " está habilitado para entrar na área do supervisor";
                                            msgerro = "Usuário " + nome + " está desabilitado para entrar na área do supervisor";
                                            break;

                                        case "telhab":
                                            msgok = "Usuário " + nome + " está habilitado para alterar telefone e email do cliente";
                                            msgerro = "Usuário " + nome + " está desabilitado para alterar telefone e email do cliente";
                                            break;

                                        case "p1":
                                            msgok = "Usuário " + nome + " está habilitado para alterar estoque";
                                            msgerro = "Usuário " + nome + " está desabilitado para alterar estoque";
                                            break;

                                        case "p2":
                                            msgok = "Usuário " + nome + " está habilitado para alterar dados das caixas no app";
                                            msgerro = "Usuário " + nome + " está desabilitado para alterar dados das caixas no app";
                                            break;

                                    }

                                    jQuery.ajax({
                                        type: "POST",
                                        url: "nfuncao/alt_stoq_permiss.php", //?id="+idt+"&alt="+checked,
                                        dataType: "html",
                                        data: jQuery.param({id: idt, alt: checked, table: campo}),

                                        // enviado com sucesso
                                        success: function (response) {

                                            var resultObj = JSON.parse(response);
                                            if (resultObj.resposta === 'ok') {
                                                if (checked === 'sim') {
                                                    toastr.success(msgok);
                                                } else {
                                                    toastr.warning(msgerro);
                                                }
                                            } else {
                                                toastr.error('Erro ao Alterar Opção');
                                            }
                                        },
                                        // quando houver erro
                                        error: function () {
                                            // alert("Ocorreu um erro durante a requisição");toastr.error('Erro ao deletar Mensagem', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                function althoraentrada(idg, horae, horas) {
                                    //var chk = document.getElementById(idg).checked;
                                    var he = document.getElementById(horae).value;
                                    var hs = document.getElementById(horas).value;

                                    jQuery.ajax({
                                        type: "POST",
                                        url: "nfuncao/alt_user_horario.php",
                                        dataType: "html",
                                        data: jQuery.param({id: idg, he: he, hs: hs}),

                                        // enviado com sucesso
                                        success: function (response) {

                                            var resultObj = JSON.parse(response);
                                            if (resultObj.resposta === 'ok') {
                                                toastr.success("Horário alterado com sucesso");
                                            } else {
                                                toastr.error('Erro ao Alterar Opção');
                                            }
                                        },
                                        // quando houver erro
                                        error: function () {
                                            // alert("Ocorreu um erro durante a requisição");toastr.error('Erro ao deletar Mensagem', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                function althorapermiss(idg, idt, nome) {

                                    let checked = "";
                                    if (document.getElementById(idg).checked) {
                                        checked = "sim";
                                    } else {
                                        checked = "nao";
                                    }

                                    jQuery.ajax({
                                        type: "POST",
                                        url: "nfuncao/alt_user_permiss.php",
                                        dataType: "html",
                                        data: jQuery.param({id: idt, alt: checked}),

                                        // enviado com sucesso
                                        success: function (response) {

                                            var resultObj = JSON.parse(response);
                                            if (resultObj.resposta === 'ok') {
                                                if (checked === 'sim') {
                                                    toastr.success("Usuário " + nome + " está com horario limitado para uso do app");
                                                } else {
                                                    toastr.warning("Usuário " + nome + " está com horario ilimitado para uso do app");
                                                }
                                            } else {
                                                toastr.error('Erro ao Alterar Opção');
                                            }
                                        },
                                        // quando houver erro
                                        error: function () {
                                            // alert("Ocorreu um erro durante a requisição");toastr.error('Erro ao deletar Mensagem', 'Erro!', {"progressBar": true});
                                        }
                                    });

                                }

                                function editarCliente(id) {
                                    window.location.href = "painel-alterar.php?id="+id;
                                }                             

                                function inserirCliente() {
                                    window.location.href = "painel-inserir-senha.php";
                                }
                                
                                function deleteCliente(delid) {
                                    if (confirm("Você quer realmente deletar esse Usuário?")) {
                                        jQuery.ajax({
                                            type: "GET",
                                            url: "nfuncao/deleteuser.php?del=" + delid,
                                            data: "", //, age1: $('#age1').val()},
                                            success: function (result) {
                                                //document.getElementById("azzas").innerHTML = "Mensagens Privadas para: " + user;
                                                listaUsuarios();
                                                toastr.success('Usuário Deletado com Sucesso', {"progressBar": true, "timeOut": "1500"});
                                            },
                                            error: function () {
                                                toastr.error('Erro ao Deletar Usuário', 'Erro!', {"progressBar": true});
                                            }
                                        });
                                    }
                                }

                                function abrir_mapa() {

                                    var popupWinWidth = screen.availWidth - 100;
                                    var popupWinHeight = screen.availHeight - 100;

                                    var left = (screen.width - popupWinWidth) / 2;
                                    var top = (screen.height - popupWinHeight) / 4;

                                    let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';

                                    var caminho = "sistema_caixa/mapa-caixa.php";

                                    open(caminho, 'pagina', params);

                                    //window.location.href = "";
                                }
        </script>



    </body>
</html>
