<?php
include("protection_admin.php");
protect();

include "config.php";

mysqli_set_charset($conexao, 'utf8');

$queryfunc = "select * from sis_func;";
$dadosfunc = mysqli_query($conexao, $queryfunc); // or die(mysql_error());

date_default_timezone_set('America/Sao_Paulo');
$date_inicio = date('Y-m-d');
$date_final = date('Y-m-d');
?>
<!DOCTYPE HTML>
<html lang="pt-br">
    <head>
        <title>Painel Suportes Concluídos</title>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
        <link rel="stylesheet" href="assets/css/main.css" />
        <link rel="stylesheet" href="dist/css/lightbox.min.css">
        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <style>
            .btn {
                background-color: white; /* Blue background */
                border: none; /* Remove borders */
                color: white; /* White text */
                padding: 12px 16px; /* Some padding */
                font-size: 16px; /* Set a font size */
                cursor: pointer; /* Mouse pointer on hover */
            }

            /* Darker background on mouse-over */
            .btn:hover {
                background-color: OldLace;
            }
        </style>
    </head>
    <body>

        <!-- Wrapper -->
        <div id="wrapper">

            <!-- Main -->
            <div id="main">
                <div class="inner">

                    <!-- Header -->
                    <header id="header">
                        <a href="pagina-notificacoes.php" onclick="window.close()" class="logo"><strong>VOLTAR - MK-Auth Suporte</strong> por JJR Electronics</a>

                    </header>

                    <!-- Content -->
                    <section>
                        <header class="main">
                            <h1 align="center">Página de Suportes Concluídos</h1>
                        </header>

                        <div class="row uniform">
                            <div class="4u 14u$(xsmall)">
                                <h4>Pesquise pelo Tecnico</h4>
                                <div class="select-wrapper">
                                    <select name="tecnico" id="tecnico">
                                        <option value="9999">Todos</option>;
                                        <?php while ($row1 = mysqli_fetch_assoc($dadosfunc)): ?>
                                            <option value="<?php echo $row1['id']; ?>"><?php echo $row1['nome']; ?></option>;
                                        <?php endwhile; ?>
                                    </select>
                                </div>

                                <!--input type="search" name="valueToSearch" placeholder="Insira aqui Sua pesquisa" id="valueToSearch"/-->
                                <!--form-- action="painel-suporte_finalizados.php" method="post">

                                </form-->
                            </div>

                            <div class="1.5u 14u$(xsmall)">
                                <h4>Data Início</h4>
                                <input type="date" id="inicio" name="bday" value="<?php echo $date_inicio; ?>">
                            </div>
                            <div class="1.5u 14u$(xsmall)">
                                <h4>Data Final</h4>
                                <input type="date" id="final" name="bday" value="<?php echo $date_final; ?>">
                            </div>
                            <div class="1u 14u$(xsmall)">
                                <h4>Pesquisar</h4>
                                <button onclick="listaContratosVazios('tecnico')" class="button special">
                                    <i class="fa fa-search"></i>
                                </button>
                            </div>
                            <div class="1u 14u$(xsmall)">
                                <h4>Limpar</h4>
                                <button onclick="listaContratosVazios('todos')" class="button special">
                                    <i class="fa fa-window-close"></i>
                                </button>
                            </div>
                        </div>
                        <br>
                        <br>

                        <div class="table-wrapper">
                            <table class="alt">
                                <thead>
                                    <tr>
                                        <th>DADOS</th>
                                        <th>MOTIVO FECHAMENTO / DATA / PING</th>
                                        <th>ASSINATURA DO CLIENTE / FOTOS DA INSTALAÇÃO</th>
                                    </tr>
                                </thead>
                                <tbody id="listavend">

                                </tbody>
                            </table>

                            <a href="pagina-notificacoes.php" onclick="window.close()" class="button special">Voltar</a>
                        </div>

                    </section>

                </div>
            </div>

        </div>

        <!-- Scripts -->
        <script src="assets/js/jquery.min.js"></script>
        <script src="assets/js/skel.min.js"></script>
        <script src="assets/js/util.js"></script>
        <!--[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]-->
        <script src="assets/js/main.js"></script>
        <script src="dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="query_ajax.js"></script>
        <script src="jquery3.js"></script>
        <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>

        <script>
                                listaContratosVazios('todos');
                                function listaContratosVazios(acao) {

                                    var ncontrat = $("#tecnico").val();
                                    var data_inicio = $("#inicio").val();
                                    var data_final = $("#final").val();

                                    jQuery.ajax({
                                        type: "GET",
                                        url: "func_suporte/lista_suporte_concluido.php?tecnico=" + ncontrat + "&inicio=" + data_inicio + "&final=" + data_final + "&acao=" + acao,
                                        data: "", //, age1: $('#age1').val()},
                                        success: function (result) {
                                            //document.getElementById("azzas").innerHTML = "Mensagens Privadas para: " + user;
                                            $("#listavend").html(result);
                                            toastr.info('Dados Retornados com Sucesso', {"progressBar": true, "timeOut": "1500"});
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                function materiaisUtilizados(idt, chamado) {
                                    let params = `width=940, height=600, top=0, left=110, scrollbars=yes`;

                                    var caminho = "nfuncao/lista_materiais_utilizados_s.php?login=" + idt+"&chamado="+chamado;

                                    open(caminho, 'pagina', params);
                                }
                                
                                function osPreenchida(chamado) {
                                    let params = `width=794, height=1123, top=0, left=110, scrollbars=yes`;

                                    var caminho = "func_suporte/doc_suporte.php?chamado=" + chamado;

                                    open(caminho, 'pgoscompleta', params);
                                }
        </script>

    </body>
</html>
