<?php
include "config.php";

include("protection_admin.php");
protect();

$nome = "";
$endereco = "";
$latitude = "";
$longitude = "";
$tipo = "";
$capacidade = "";

if (isset($_GET['caixa'])) {

    $caixa = $_GET['caixa'];
    $query = "select * from mp_caixa where id = " . $caixa;
    $dadoscaixa = mysqli_query($conexao, $query);
    $linha = mysqli_fetch_assoc($dadoscaixa);

    $nome = $linha['nome'];
    $endereco = $linha['endereco'];
    $latitude = $linha['latitude'];
    $longitude = $linha['longitude'];
    $tipo = $linha['tipo'];
    $capacidade = $linha['capacidade'];
    $select = "";
    switch ($tipo) {
        case "cto":
            $select = "<option value=\"cto\">CTO</option>";
            break;

        case "hermetica":
            $select = "<option value=\"hermetica\">Hermética</option>";
            break;

        case "nap":
            $select = "<option value=\"nap\">NAP</option>";
            break;

        case "ceo":
            $select = "<option value=\"ceo\">CEO</option>";
            break;

        case "ftth":
            $select = "<option value=\"ftth\">FTTH</option>";
            break;

        default:
            $select = "<option value=\"cto\">CTO</option>";
            break;
    }
} else {
    echo "<script>location.href='lista-caixas.php'</script>";
}
?>
<!DOCTYPE HTML>
<html lang="pt-br">
    <head>
        <title>Editar Caixa - <?php echo $nome; ?></title>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />

        <link rel="stylesheet" href="../assets/css/main.css" />
        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">

    </head>
    <body>

        <!-- Wrapper -->
        <div id="wrapper">

            <!-- Main -->
            <div id="main">
                <div class="inner">

                    <!-- Header -->
                    <header id="header">
                        <a href="../painel-gerenciamento.php" class="logo"><strong>MK-Auth Suporte</strong> por JJR Electronics</a>
                    </header>

                    <!-- Content -->
                    <section>
                        <header class="main">
                            <h2>Editar Caixa - <?php echo $nome; ?></h2>

                        </header>
                        <p><strong style="color: red"> (*) Campos Obrigatórios</strong></p>

                        <form method="post" name="f1" action="">
                            <input type="hidden" name="id" id="id" value="<?php echo $caixa; ?>"/>
                            <div class="row uniform">

                                <div class="2u 12u$(xsmall)">
                                    <h4>Nome da Caixa (*):</h4>
                                    <input type="text" name="nome" id="nome" value="<?php echo $nome; ?>"/>
                                </div>
                                <div class="6u 12u$(xsmall)">
                                    <h4>Endereço:</h4>
                                    <input type="text" name="endereco" id="endereco" value="<?php echo $endereco; ?>" />
                                </div>
                                <div class="4u 12u$(xsmall)">
                                    <h4>Preencher Endereço</h4>
                                    <img align="center" src="image/icon-download.png" title = "Buscar Coordenadas" 
                                         style="cursor:pointer; cursor:hand" onclick="pegaEndereco()"/>
                                </div>
                            </div>

                            <div class="row uniform">

                                <div class="4u 12u$(xsmall)">
                                    <h4>Latitude (*):</h4>
                                    <input type="text" name="latitude" id="latitude" value="<?php echo $latitude; ?>"/>
                                </div>
                                <div class="4u 12u$(xsmall)">
                                    <h4>Longitude (*):</h4>
                                    <input type="text" name="longitude" id="longitude" value="<?php echo $longitude; ?>"/>
                                </div>
                                <div class="4u 12u$(xsmall)">
                                    <h4>Buscar Coordenadas</h4>
                                    <img align="center" src="image/icon-user-location.png" title = "Buscar Coordenadas" 
                                         style="cursor:pointer; cursor:hand" onclick="pega_coordenadas()"/>
                                </div>
                            </div>


                            <div class="row uniform">

                                <div class="4u 12u$(xsmall)">
                                    <h4>Tipo:</h4>
                                    <div class="select-wrapper">
                                        <select name="tipocaixa" id="tipocaixa">
                                            <?php echo $select; ?>
                                            <option value="cto">CTO</option>
                                            <option value="hermetica">Hermética</option>
                                            <option value="ceo">CEO</option>
                                            <option value="nap">NAP</option>
                                            <option value="ftth">FTTH</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="4u 12u$(xsmall)">
                                    <h4>Capacidade (*):</h4>
                                    <input type="text" name="capacidade" id="capacidade" value="<?php echo $capacidade; ?>"/>
                                </div>
                            </div>                  

                        </form>
                        <div class="row uniform">

                            <div class="12u$">
                                <ul class="actions">
                                    <li><input type="button" value="Alterar Caixa" class="special" onclick="alteraCaixa();"/></li>
                                    <li><input type="button" value="Voltar pra Lista" onclick="voltar();"/></li>
                                    <li><h3><div id="totalportas">Total de portas ocupadas: 0</div></h3></li>
                                </ul>
                            </div>

                        </div>
                        <br/>

                        <div class="row uniform">
                            <div class="6u 12u$(xsmall)">

                                <div>

                                    <table class="">
                                        <thead>
                                            <tr  align = "center">
                                                <th><h4>Clientes Principais</h4></th>
                                            </tr>
                                        </thead>
                                        <thead>
                                            <tr>
                                                <td colspan="2">
                                                    <div class="input-wrapper">
                                                        <input type="text" name="cprincipal" id="cprincipal">
                                                        <input type="hidden" name="cprincipal_id" id="cprincipal_id">
                                                    </div> 
                                                </td>
                                                <td>
                                                    <img align="center" src="image/icon-add-30.png" title = "Inserir Cliente na Caixa" 
                                                         style="cursor:pointer; cursor:hand" onclick="inserirClienteCaixa('principal')"/>
                                                </td>
                                            </tr>
                                        </thead>

                                        <thead>
                                            <tr>
                                                <th>NOME</th>
                                                <th>PORTA</th>
                                                <th>AÇÕES</th>
                                            </tr>
                                        </thead>
                                        <tbody id="lista_cliente_inserido">

                                        </tbody>

                                    </table>

                                </div>

                            </div>

                            <div class="6u 12u$(xsmall)">

                                <div>

                                    <table class="">
                                        <thead>
                                            <tr  align = "center">
                                                <th><h4>Clientes Adicionais</h4></th>
                                            </tr>
                                        </thead>
                                        <thead>
                                            <tr>
                                                <td colspan="2">
                                                    <div class="input-wrapper">
                                                        <input type="text" name="cadicional" id="cadicional">
                                                        <input type="hidden" name="cadicional_id" id="cadicional_id">
                                                    </div>
                                                </td>
                                                <td>
                                                    <img align="center" src="image/icon-add-30.png" title = "Inserir Cliente na Caixa" 
                                                         style="cursor:pointer; cursor:hand" onclick="inserirClienteCaixa('adicional')"/>
                                                </td>
                                            </tr>
                                        </thead>

                                        <thead>
                                            <tr>
                                                <th>NOME</th>
                                                <th>PORTA</th>
                                                <th>AÇÕES</th>
                                            </tr>
                                        </thead>
                                        <tbody  id="lista_cliente_inseridoa">

                                        </tbody>

                                    </table>

                                </div>

                            </div>

                        </div>

                    </section>

                </div>
            </div>



            <!-- Sidebar -->
            <div id="sidebar">
                <div class="inner">

                    <!-- Menu -->
                    <nav id="menu">
                        <header class="major">
                            <h2>Menu</h2>
                        </header>
                        <ul>
                            <li><a href="../painel-gerenciamento.php">Lista de Usuários</a></li>
                            <li><a href="../bate-papo.php">Bate Papo</a></li>
                            <li><a href="../mapa-clientes.php">Mapa Clientes</a></li>
                            <li><a href="../lista-clientes.php">Lista de Clientes</a></li>
                            <!--li><a href="mapa-funcionarios.php">Mapa Funcionários</a></li-->
                            <li><a href="" onclick="abrir_mapa();">Mapa Caixas</a></li>
                            <li><a href="lista-caixas.php"><font color="#f56a6a">Lista de Caixas</font></a></li>
                            <li><a href="lista-fibras.php">Lista de Fibras</a></li>
                            <li><a href="../configuracoes_sistema.php">Configurações do Sistema</a></li>
                            <li><a href="../lista-cliente-conex.php">Problemas de Conexão</a></li>
                            <li><a href="../abrir-chamado.php">Abrir Chamado</a></li>
                            <li><a href="../info-mapa.php">Ver Informações do Mapa</a></li>
                            <li><a href="../area-opcoes.php">Voltar a Área de Opções</a></li>
                            <li><a href="../painel-gerenciamento.php?page=sair">Sair</a></li>
                        </ul>
                    </nav>

                    <!-- Section -->
                    <section>
                        <header class="major">
                            <h2>Suporte JJR Electronics</h2>
                        </header>
                        <p>Nós da JJR Electronics estamos felizem em te atender todos os dias a partir das 17h. Em caso de urgência entre em contato conosco atraves de nosso telefone que também é Whatsapp.</p>
                        <ul class="contact">
                            <li class="fa-globe"><a href="http://jjrelectronics.com/">Site JJR Electronics</a></li>
                            <li class="fa-phone">(088) 99456-2205</li>
                            <li class="fa-home">Rua doze de outubro, 352<br />
                                Vila União, Sobral, Ceará - 62021-020</li>
                        </ul>
                    </section>

                    <!-- Footer -->
                    <footer id="footer">
                        <p class="copyright">&copy; 2017. Todos os Direitos Reservados. Design: <a href="http://jjrelectronics.com/">JJR Electronics</a>.</p>
                    </footer>

                </div>
            </div>

        </div>

        <!-- Scripts -->
        <script src="../assets/js/jquery.min.js"></script>
        <script src="../assets/js/skel.min.js"></script>
        <script src="../assets/js/util.js"></script>
        <!--[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]-->
        <script src="../assets/js/main.js"></script>
        <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="https://code.jquery.com/ui/1.13.1/jquery-ui.min.js"></script>
        <link rel="stylesheet" href="https://code.jquery.com/ui/1.13.1/themes/smoothness/jquery-ui.css">

        <script>

                                function pega_coordenadas() {

                                    var popupWinWidth = screen.availWidth - 100;
                                    var popupWinHeight = screen.availHeight - 100;

                                    var left = (screen.width - popupWinWidth) / 2;
                                    var top = (screen.height - popupWinHeight) / 4;

                                    let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';

                                    var caminho = "pega-coordenadas-caixa.php";

                                    open(caminho, 'paginaabrremapapcoord', params);
                                }

                                function voltar() {
                                    window.location.href = "lista-caixas.php";
                                }

                                function alteraCaixa() {

                                    var id = document.getElementById('id').value;
                                    var nome = document.getElementById('nome').value;
                                    var endereco = document.getElementById('endereco').value;
                                    var latitude = document.getElementById('latitude').value;
                                    var longitude = document.getElementById('longitude').value;
                                    var e = document.getElementById("tipocaixa");
                                    var tipo = e.options[e.selectedIndex].value;
                                    var capacidade = document.getElementById('capacidade').value;

                                    //var end = endereco.replaceAll(",", "-");

                                    var dados = id + "_" + nome + "_" + endereco + "_" + latitude + "_" + longitude + "_" + tipo + "_" + capacidade;

                                    jQuery.ajax({
                                        type: "GET",
                                        url: "lista-editar-caixa-data.php?&dados=" + dados, //- action form
                                        data: "", //, age1: $('#age1').val()},
                                        success: function (result) {

                                            var resultObj = JSON.parse(result);
                                            if (resultObj.resposta === 'ok') {
                                                toastr.success('Caixa Alterada com Sucesso', {"progressBar": true, "timeOut": "1500"});
                                            } else {
                                                toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                            }
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                function pegaEndereco() {

                                    var latitude = document.getElementById('latitude').value;
                                    var longitude = document.getElementById('longitude').value;

                                    jQuery.ajax({
                                        type: "GET",
                                        url: "https://nominatim.openstreetmap.org/reverse?lat=" + latitude + "&lon=" + longitude + "&format=json", //- action form
                                        data: "", //, age1: $('#age1').val()},
                                        success: function (result) {
                                            toastr.success('Sucesso', {"progressBar": true, "timeOut": "1500"});
                                            var novajson = JSON.stringify(result);
                                            var novo = novajson.split("{");
                                            var util = novo[2].split("}");
                                            //var enderecoObj = JSON.stringify(resultObj.address);
                                            var njson = "{" + util[0] + "}";
                                            var resultOBJ = JSON.parse(njson);
                                            var rua = resultOBJ.road;
                                            var bairro = resultOBJ.suburb;
                                            var cidade = resultOBJ.city;
                                            var cidadee = resultOBJ.town;

                                            if (rua == null) {
                                                rua = "";
                                            }

                                            if (bairro == null) {
                                                bairro = "";
                                            }

                                            if (cidade == null) {

                                                if (cidadee == null) {
                                                    cidade = "";
                                                } else {
                                                    cidade = cidadee;
                                                }
                                            }

                                            var endereco = rua + ", " + bairro + ", " + cidade;

                                            document.getElementById('endereco').value = endereco;


                                            /*if (resultObj.resposta === 'ok') {
                                             toastr.success('Caixa Alterada com Sucesso', {"progressBar": true, "timeOut": "1500"});
                                             } else {
                                             toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                             }*/
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                $(function () {
                                    $("#cprincipal").autocomplete({
                                        source: function (request, response) {
                                            var nome = request.term;
                                            listaClientesPrincipais(nome, response);
                                        },
                                        select: function (event, ui) {
                                            $("#cprincipal").val(ui.item.label);
                                            $("#cprincipal_id").val(ui.item.value);
                                            return false;
                                        }
                                    });

                                    function listaClientesPrincipais(nome, response) {
                                        jQuery.ajax({
                                            type: "GET",
                                            url: "lista-clientes-c.php",
                                            data: {tipo: "principal", nome: nome},
                                            dataType: "json",
                                            success: function (data) {
                                                response(data);
                                            },
                                            error: function () {
                                                toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                            }
                                        });
                                    }
                                });

                                $(function () {
                                    $("#cadicional").autocomplete({
                                        source: function (request, response) {
                                            var nome = request.term;
                                            listaClientesAdicionais(nome, response);
                                        },
                                        select: function (event, ui) {
                                            $("#cadicional").val(ui.item.label);
                                            $("#cadicional_id").val(ui.item.value);
                                            return false;
                                        }
                                    });

                                    function listaClientesAdicionais(nome, response) {
                                        jQuery.ajax({
                                            type: "GET",
                                            url: "lista-clientes-c.php",
                                            data: {tipo: "adicional", nome: nome},
                                            dataType: "json",
                                            success: function (data) {
                                                response(data);
                                            },
                                            error: function () {
                                                toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                            }
                                        });
                                    }
                                });

                                listaClientesPrincipaisInseridos('<?php echo $nome; ?>');
                                function listaClientesPrincipaisInseridos(caixa) {

                                    jQuery.ajax({
                                        type: "GET",
                                        url: "lista-clientes-inseridos.php?tipo=principal&caixa=" + caixa,
                                        data: "", //, age1: $('#age1').val()},
                                        success: function (result) {
                                            $("#lista_cliente_inserido").html(result);
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                listaClientesAdicionalInseridos('<?php echo $nome; ?>');
                                function listaClientesAdicionalInseridos(caixa) {

                                    jQuery.ajax({
                                        type: "GET",
                                        url: "lista-clientes-inseridos.php?tipo=adicional&caixa=" + caixa,
                                        data: "", //, age1: $('#age1').val()},
                                        success: function (result) {
                                            $("#lista_cliente_inseridoa").html(result);
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                //CONTA NUMERO DE PORTAS USADAS NA CAIXA-----------------------------------------------
                                contarClienteCaixa();
                                function contarClienteCaixa() {

                                    var caixa = '<?php echo $nome; ?>';
                                    jQuery.ajax({
                                        type: "GET",
                                        url: "contar-cliente-caixa.php?caixa=" + caixa,
                                        data: "", //, age1: $('#age1').val()},
                                        success: function (result) {
                                            var resultObj = JSON.parse(result);
                                            document.getElementById('totalportas').innerText = "Total de portas ocupadas: " + resultObj.resposta;
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                function inserirClienteCaixa(tipo) {
                                    var caixa = '<?php echo $nome; ?>';
                                    if (tipo == "principal") {
                                        var e = document.getElementById("cprincipal_id");
                                        var id = e.value;
                                    } else {
                                        var e = document.getElementById("cadicional_id");
                                        var id = e.value;
                                    }

                                    jQuery.ajax({
                                        type: "GET",
                                        url: "editar-cliente-caixa.php?id=" + id + "&tipo=" + tipo + "&caixa=" + caixa,
                                        data: "",
                                        success: function (result) {
                                            var resultObj = JSON.parse(result);
                                            if (resultObj.resposta === 'cheio') {
                                                toastr.warning('Operação nao realizada! A caixa está cheia!', 'Atenção!', {"progressBar": true});
                                            } else if (resultObj.resposta === 'ok') {
                                                // Limpa os inputs de clientes principais e adicionais
                                                $("#cprincipal").val("");
                                                $("#cprincipal_id").val("");
                                                $("#cadicional").val("");
                                                $("#cadicional_id").val("");

                                                // Atualiza as listas de clientes na tela
                                                //listaClientesPrincipais();
                                                //listaClientesAdicionais();
                                                listaClientesPrincipaisInseridos(caixa);
                                                listaClientesAdicionalInseridos(caixa);
                                                contarClienteCaixa();

                                                toastr.success('Cliente Inserido na caixa com Sucesso', {"progressBar": true});
                                            } else {
                                                toastr.error('Erro ao Inserir Cliente', 'Erro!', {"progressBar": true});
                                            }
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }


                                function deletarClienteCaixa(tipo, id) {

                                    var caixa = '<?php echo $nome; ?>';
                                    jQuery.ajax({
                                        type: "GET",
                                        url: "deletar-cliente-caixa.php?id=" + id + "&tipo=" + tipo,
                                        data: "", //, age1: $('#age1').val()},
                                        success: function (result) {
                                            var resultObj = JSON.parse(result);
                                            if (resultObj.resposta === 'ok') {
                                                //listaClientesPrincipais();
                                                //listaClientesAdicionais();
                                                listaClientesPrincipaisInseridos(caixa);
                                                listaClientesAdicionalInseridos(caixa);
                                                contarClienteCaixa();
                                                toastr.success('Cliente Excluido na caixa com Sucesso', {"progressBar": true});
                                            } else {
                                                toastr.error('Erro ao Excluido Cliente', 'Erro!', {"progressBar": true});
                                            }
                                        },
                                        error: function () {
                                            toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                        }
                                    });
                                }

                                function updateClientePorta(tipo, id) {

                                    var caixa = '<?php echo $nome; ?>';
                                    if (tipo == "principal") {
                                        var elemento = "p" + id;
                                        var porta = document.getElementById(elemento).value;
                                    } else {
                                        var elemento = "a" + id;
                                        var porta = document.getElementById(elemento).value;
                                    }

                                    if (porta == null || porta == "") {

                                        toastr.warning('Insira um número da porta no campo porta', {"progressBar": true});
                                    } else {

                                        jQuery.ajax({
                                            type: "GET",
                                            url: "updade-cliente-porta-caixa.php?id=" + id + "&porta=" + porta + "&tipo=" + tipo + "&caixa=" + caixa,
                                            data: "", //, age1: $('#age1').val()},
                                            success: function (result) {
                                                var resultObj = JSON.parse(result);
                                                if (resultObj.resposta === 'ok') {
                                                    toastr.success('Porta da Caixa Atualizada com Sucesso', {"progressBar": true});
                                                    listaClientesPrincipaisInseridos(caixa);
                                                    listaClientesAdicionalInseridos(caixa);
                                                } else if (resultObj.resposta === 'ocupado') {
                                                    toastr.warning('Porta da Caixa já está ocupada', {"progressBar": true});
                                                } else {
                                                    toastr.error('Erro ao Atualizar Porta da Caixa', 'Erro!', {"progressBar": true});
                                                }
                                            },
                                            error: function () {
                                                toastr.error('Erro ao Retornar Dados', 'Erro!', {"progressBar": true});
                                            }
                                        });
                                    }
                                }

                                function abrir_mapa() {

                                    var popupWinWidth = screen.availWidth - 100;
                                    var popupWinHeight = screen.availHeight - 100;
                                    var left = (screen.width - popupWinWidth) / 2;
                                    var top = (screen.height - popupWinHeight) / 4;
                                    let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';
                                    var caminho = "mapa-caixa.php";
                                    open(caminho, 'paginamapacaixaeditar', params);
                                    //window.location.href = "";
                                }
        </script>

    </body>
</html>
