<?php
include "config.php";

include("protection_admin.php");
protect();

if (isset($_POST['nome'])) {
    $caixa = $_POST['nome'];
    $latitude = $_POST['latitude'];
    $longitude = $_POST['longitude'];
    $endereco = $_POST['endereco'];
    $tipo = $_POST['tipocaixa'];
    $capacidade = $_POST['capacidade'];

    if ($caixa !== "" || $latitude !== "" || $longitude !== "" || $capacidade !== "") {

        $qcaixa = "insert into mp_caixa(nome, latitude, longitude, tipo, endereco, capacidade) values('$caixa','$latitude','$longitude','$tipo','$endereco','$capacidade')";
        $dadoscaixa = mysqli_query($conexao, $qcaixa); // or die(mysql_error());
        if ($dadoscaixa) {
            echo "<script> alert('Caixa inserida com sucesso!'); location.href='lista-inserir-caixa.php' </script>";
        } else {
            echo "<script> alert('Erro ao inserir caixa!'); location.href='lista-inserir-caixa.php' </script>";
        }
    } else {
        echo "<script> alert('Insira os dados para a caixa!'); location.href='lista-inserir-caixa.php' </script>";
    }
}
?>
<!DOCTYPE HTML>
<html lang="pt-br">
    <head>
        <title>Inserir Caixa</title>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />

        <link rel="stylesheet" href="../assets/css/main.css" />
        <link href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/css/toastr.css" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.css">

    </head>
    <body>

        <!-- Wrapper -->
        <div id="wrapper">

            <!-- Main -->
            <div id="main">
                <div class="inner">

                    <!-- Header -->
                    <header id="header">
                        <a href="../painel-gerenciamento.php" class="logo"><strong>MK-Auth Suporte</strong> por JJR Electronics</a>
                    </header>

                    <!-- Content -->
                    <section>
                        <header class="main">
                            <h2>Inserir caixa</h2>

                        </header>
                        <p><strong style="color: red"> (*) Campos Obrigatórios</strong></p>

                        <form method="post" name="f1" action="lista-inserir-caixa.php">
                            <div class="row uniform">

                                <div class="4u 12u$(xsmall)">
                                    <h4>Nome da Caixa (*):</h4>
                                    <input type="text" name="nome" id="nome"/>
                                </div>
                                <div class="4u 12u$(xsmall)">
                                    <h4>Endereço:</h4>
                                    <input type="text" name="endereco" id="endereco"/>
                                </div>
                            </div>

                            <div class="row uniform">

                                <div class="4u 12u$(xsmall)">
                                    <h4>Latitude (*):</h4>
                                    <input type="text" name="latitude" id="latitude"/>
                                </div>
                                <div class="4u 12u$(xsmall)">
                                    <h4>Longitude (*):</h4>
                                    <input type="text" name="longitude" id="longitude"/>
                                </div>
                                <img align="center" src="image/icon-user-location.png" title = "Buscar Coordenadas" 
                                     style="cursor:pointer; cursor:hand" onclick="pega_coordenadas()"/>
                            </div>


                            <div class="row uniform">

                                <div class="4u 12u$(xsmall)">
                                    <h4>Tipo:</h4>
                                    <div class="select-wrapper">
                                        <select name="tipocaixa">
                                            <option value="cto">CTO</option>
                                            <option value="hermetica">Hermética</option>
                                            <option value="ceo">CEO</option>
                                            <option value="nap">NAP</option>
                                            <option value="ftth">FTTH</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="4u 12u$(xsmall)">
                                    <h4>Capacidade (*):</h4>
                                    <input type="text" name="capacidade" id="capacidade"/>
                                </div>
                            </div>

                            <div class="row uniform">

                                <div class="12u$">
                                    <ul class="actions">
                                        <li><input type="submit" name="bt_alterar" value="Inserir Caixa" class="special" /></li>
                                        <li><input type="button" value="Voltar pra Lista" onclick="voltar();"/></li>
                                    </ul>
                                </div>

                        </form>
                </div>

                </section>

            </div>
        </div>



        <!-- Sidebar -->
        <div id="sidebar">
            <div class="inner">

                <!-- Menu -->
                <nav id="menu">
                    <header class="major">
                        <h2>Menu</h2>
                    </header>
                    <ul>
                        <li><a href="../painel-gerenciamento.php">Lista de Usuários</a></li>
                        <li><a href="../bate-papo.php">Bate Papo</a></li>
                        <li><a href="../mapa-clientes.php">Mapa Clientes</a></li>
                        <li><a href="../lista-clientes.php">Lista de Clientes</a></li>
                        <!--li><a href="mapa-funcionarios.php">Mapa Funcionários</a></li-->
                        <li><a href="" onclick="abrir_mapa();">Mapa Caixas</a></li>
                        <li><a href="lista-caixas.php"><font color="#f56a6a">Lista de Caixas</font></a></li>
                        <li><a href="lista-fibras.php">Lista de Fibras</a></li>
                        <li><a href="../configuracoes_sistema.php">Configurações do Sistema</a></li>
                        <li><a href="../lista-cliente-conex.php">Problemas de Conexão</a></li>
                        <li><a href="../abrir-chamado.php">Abrir Chamado</a></li>
                        <li><a href="../info-mapa.php">Ver Informações do Mapa</a></li>
                        <li><a href="../area-opcoes.php">Voltar a Área de Opções</a></li>
                        <li><a href="../painel-gerenciamento.php?page=sair">Sair</a></li>
                    </ul>
                </nav>

                <!-- Section -->
                <section>
                    <header class="major">
                        <h2>Suporte JJR Electronics</h2>
                    </header>
                    <p>Nós da JJR Electronics estamos felizem em te atender todos os dias a partir das 17h. Em caso de urgência entre em contato conosco atraves de nosso telefone que também é Whatsapp.</p>
                    <ul class="contact">
                        <li class="fa-globe"><a href="http://jjrelectronics.com/">Site JJR Electronics</a></li>
                        <li class="fa-phone">(088) 99456-2205</li>
                        <li class="fa-home">Rua doze de outubro, 352<br />
                            Vila União, Sobral, Ceará - 62021-020</li>
                    </ul>
                </section>

                <!-- Footer -->
                <footer id="footer">
                    <p class="copyright">&copy; 2017. Todos os Direitos Reservados. Design: <a href="http://jjrelectronics.com/">JJR Electronics</a>.</p>
                </footer>

            </div>
        </div>

    </div>

    <!-- Scripts -->
    <script src="../assets/js/jquery.min.js"></script>
    <script src="../assets/js/skel.min.js"></script>
    <script src="../assets/js/util.js"></script>
    <!--[if lte IE 8]><script src="assets/js/ie/respond.min.js"></script><![endif]-->
    <script src="../assets/js/main.js"></script>
    <script src="https://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/2.0.1/js/toastr.js"></script>

    <script>
                            function pega_coordenadas() {

                                var popupWinWidth = screen.availWidth - 100;
                                var popupWinHeight = screen.availHeight - 100;

                                var left = (screen.width - popupWinWidth) / 2;
                                var top = (screen.height - popupWinHeight) / 4;

                                let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';

                                var caminho = "pega-coordenadas-caixa.php";

                                open(caminho, 'pagina', params);
                            }

                            function abrir_mapa() {

                                var popupWinWidth = screen.availWidth - 100;
                                var popupWinHeight = screen.availHeight - 100;

                                var left = (screen.width - popupWinWidth) / 2;
                                var top = (screen.height - popupWinHeight) / 4;

                                let params = 'width=' + popupWinWidth + ', height=' + popupWinHeight + ', top=' + top + ', left=' + left + ', scrollbars=yes';

                                var caminho = "mapa-caixa.php";

                                open(caminho, 'pagina', params);

                                //window.location.href = "";
                            }

                            function voltar() {
                                window.location.href = "lista-caixas.php";
                            }
    </script>

</body>
</html>
